import{S as m_,i as p_,s as f_,e as n,k as l,w as u,t as a,M as u_,c as s,d as o,m as d,a as r,x as h,h as i,b as c,G as e,g as p,y as g,q as _,o as v,B as b,v as h_,L as Fa}from"../../chunks/vendor-hf-doc-builder.js";import{T as c_}from"../../chunks/Tip-hf-doc-builder.js";import{D}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Ca}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as E}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Aa}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function g_(q){let x,M,w,y,k;return y=new Ca({props:{code:`import torch
from diffusers import UNet2DConditionModel
from xformers.ops import MemoryEfficientAttentionFlashAttentionOp

model = UNet2DConditionModel.from_pretrained(
    "stabilityai/stable-diffusion-2-1", subfolder="unet", torch_dtype=torch.float16
)
model = model.to("cuda")
model.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> UNet2DConditionModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> xformers.ops <span class="hljs-keyword">import</span> MemoryEfficientAttentionFlashAttentionOp

<span class="hljs-meta">&gt;&gt;&gt; </span>model = UNet2DConditionModel.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1&quot;</span>, subfolder=<span class="hljs-string">&quot;unet&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = model.to(<span class="hljs-string">&quot;cuda&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)`}}),{c(){x=n("p"),M=a("Examples:"),w=l(),u(y.$$.fragment)},l(f){x=s(f,"P",{});var $=r(x);M=i($,"Examples:"),$.forEach(o),w=d(f),h(y.$$.fragment,f)},m(f,$){p(f,x,$),e(x,M),p(f,w,$),g(y,f,$),k=!0},p:Fa,i(f){k||(_(y.$$.fragment,f),k=!0)},o(f){v(y.$$.fragment,f),k=!1},d(f){f&&o(x),f&&o(w),b(y,f)}}}function __(q){let x,M,w,y,k,f,$,R;return{c(){x=n("p"),M=a("It is required to be logged in ("),w=n("code"),y=a("huggingface-cli login"),k=a(") when you want to use private or "),f=n("a"),$=a(`gated
models`),R=a("."),this.h()},l(ye){x=s(ye,"P",{});var S=r(x);M=i(S,"It is required to be logged in ("),w=s(S,"CODE",{});var K=r(w);y=i(K,"huggingface-cli login"),K.forEach(o),k=i(S,") when you want to use private or "),f=s(S,"A",{href:!0,rel:!0});var In=r(f);$=i(In,`gated
models`),In.forEach(o),R=i(S,"."),S.forEach(o),this.h()},h(){c(f,"href","https://huggingface.co/docs/hub/models-gated#gated-models"),c(f,"rel","nofollow")},m(ye,S){p(ye,x,S),e(x,M),e(x,w),e(w,y),e(x,k),e(x,f),e(f,$),e(x,R)},d(ye){ye&&o(x)}}}function v_(q){let x,M,w,y,k;return{c(){x=n("p"),M=a("Activate the special "),w=n("a"),y=a("\u201Coffline-mode\u201D"),k=a(` to use
this method in a firewalled environment.`),this.h()},l(f){x=s(f,"P",{});var $=r(x);M=i($,"Activate the special "),w=s($,"A",{href:!0,rel:!0});var R=r(w);y=i(R,"\u201Coffline-mode\u201D"),R.forEach(o),k=i($,` to use
this method in a firewalled environment.`),$.forEach(o),this.h()},h(){c(w,"href","https://huggingface.co/diffusers/installation.html#offline-mode"),c(w,"rel","nofollow")},m(f,$){p(f,x,$),e(x,M),e(x,w),e(w,y),e(x,k)},d(f){f&&o(x)}}}function b_(q){let x,M,w,y,k;return y=new Ca({props:{code:`from diffusers import FlaxUNet2DConditionModel

# Download model and configuration from huggingface.co and cache.
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# Model was saved using *save_pretrained('./test/saved_model/')* (for example purposes, not runnable).
model, params = FlaxUNet2DConditionModel.from_pretrained("./test/saved_model/")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Download model and configuration from huggingface.co and cache.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Model was saved using *save_pretrained(&#x27;./test/saved_model/&#x27;)* (for example purposes, not runnable).</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;./test/saved_model/&quot;</span>)`}}),{c(){x=n("p"),M=a("Examples:"),w=l(),u(y.$$.fragment)},l(f){x=s(f,"P",{});var $=r(x);M=i($,"Examples:"),$.forEach(o),w=d(f),h(y.$$.fragment,f)},m(f,$){p(f,x,$),e(x,M),p(f,w,$),g(y,f,$),k=!0},p:Fa,i(f){k||(_(y.$$.fragment,f),k=!0)},o(f){v(y.$$.fragment,f),k=!1},d(f){f&&o(x),f&&o(w),b(y,f)}}}function x_(q){let x,M,w,y,k;return y=new Ca({props:{code:`from diffusers import FlaxUNet2DConditionModel

# load model
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# By default, the model parameters will be in fp32 precision, to cast these to bfloat16 precision
params = model.to_bf16(params)
# If you don't want to cast certain parameters (for example layer norm bias and scale)
# then pass the mask as follows
from flax import traverse_util

model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
flat_params = traverse_util.flatten_dict(params)
mask = {
    path: (path[-2] != ("LayerNorm", "bias") and path[-2:] != ("LayerNorm", "scale"))
    for path in flat_params
}
mask = traverse_util.unflatten_dict(mask)
params = model.to_bf16(params, mask)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># load model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># By default, the model parameters will be in fp32 precision, to cast these to bfloat16 precision</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_bf16(params)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># If you don&#x27;t want to cast certain parameters (for example layer norm bias and scale)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># then pass the mask as follows</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> flax <span class="hljs-keyword">import</span> traverse_util

<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>flat_params = traverse_util.flatten_dict(params)
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = {
<span class="hljs-meta">... </span>    path: (path[-<span class="hljs-number">2</span>] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;bias&quot;</span>) <span class="hljs-keyword">and</span> path[-<span class="hljs-number">2</span>:] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;scale&quot;</span>))
<span class="hljs-meta">... </span>    <span class="hljs-keyword">for</span> path <span class="hljs-keyword">in</span> flat_params
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = traverse_util.unflatten_dict(mask)
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_bf16(params, mask)`}}),{c(){x=n("p"),M=a("Examples:"),w=l(),u(y.$$.fragment)},l(f){x=s(f,"P",{});var $=r(x);M=i($,"Examples:"),$.forEach(o),w=d(f),h(y.$$.fragment,f)},m(f,$){p(f,x,$),e(x,M),p(f,w,$),g(y,f,$),k=!0},p:Fa,i(f){k||(_(y.$$.fragment,f),k=!0)},o(f){v(y.$$.fragment,f),k=!1},d(f){f&&o(x),f&&o(w),b(y,f)}}}function y_(q){let x,M,w,y,k;return y=new Ca({props:{code:`from diffusers import FlaxUNet2DConditionModel

# load model
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# By default, the model params will be in fp32, to cast these to float16
params = model.to_fp16(params)
# If you want don't want to cast certain parameters (for example layer norm bias and scale)
# then pass the mask as follows
from flax import traverse_util

model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
flat_params = traverse_util.flatten_dict(params)
mask = {
    path: (path[-2] != ("LayerNorm", "bias") and path[-2:] != ("LayerNorm", "scale"))
    for path in flat_params
}
mask = traverse_util.unflatten_dict(mask)
params = model.to_fp16(params, mask)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># load model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># By default, the model params will be in fp32, to cast these to float16</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_fp16(params)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># If you want don&#x27;t want to cast certain parameters (for example layer norm bias and scale)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># then pass the mask as follows</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> flax <span class="hljs-keyword">import</span> traverse_util

<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>flat_params = traverse_util.flatten_dict(params)
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = {
<span class="hljs-meta">... </span>    path: (path[-<span class="hljs-number">2</span>] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;bias&quot;</span>) <span class="hljs-keyword">and</span> path[-<span class="hljs-number">2</span>:] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;scale&quot;</span>))
<span class="hljs-meta">... </span>    <span class="hljs-keyword">for</span> path <span class="hljs-keyword">in</span> flat_params
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = traverse_util.unflatten_dict(mask)
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_fp16(params, mask)`}}),{c(){x=n("p"),M=a("Examples:"),w=l(),u(y.$$.fragment)},l(f){x=s(f,"P",{});var $=r(x);M=i($,"Examples:"),$.forEach(o),w=d(f),h(y.$$.fragment,f)},m(f,$){p(f,x,$),e(x,M),p(f,w,$),g(y,f,$),k=!0},p:Fa,i(f){k||(_(y.$$.fragment,f),k=!0)},o(f){v(y.$$.fragment,f),k=!1},d(f){f&&o(x),f&&o(w),b(y,f)}}}function $_(q){let x,M,w,y,k;return y=new Ca({props:{code:`from diffusers import FlaxUNet2DConditionModel

# Download model and configuration from huggingface.co
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# By default, the model params will be in fp32, to illustrate the use of this method,
# we'll first cast to fp16 and back to fp32
params = model.to_f16(params)
# now cast back to fp32
params = model.to_fp32(params)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Download model and configuration from huggingface.co</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># By default, the model params will be in fp32, to illustrate the use of this method,</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># we&#x27;ll first cast to fp16 and back to fp32</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_f16(params)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># now cast back to fp32</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_fp32(params)`}}),{c(){x=n("p"),M=a("Examples:"),w=l(),u(y.$$.fragment)},l(f){x=s(f,"P",{});var $=r(x);M=i($,"Examples:"),$.forEach(o),w=d(f),h(y.$$.fragment,f)},m(f,$){p(f,x,$),e(x,M),p(f,w,$),g(y,f,$),k=!0},p:Fa,i(f){k||(_(y.$$.fragment,f),k=!0)},o(f){v(y.$$.fragment,f),k=!1},d(f){f&&o(x),f&&o(w),b(y,f)}}}function w_(q){let x,M,w,y,k,f,$,R,ye,S,K,In,hs,$l,wl,gs,Dl,kl,Pa,$e,Ge,_s,Vt,Ml,vs,Tl,Oa,T,Bt,El,bs,Nl,Ul,Vn,Bn,Al,Fl,Cl,xs,le,ys,Pl,Ol,$s,ql,jl,zn,Ll,Il,Vl,de,zt,Bl,ws,zl,Sl,Ds,Kl,Wl,Re,St,Xl,ks,Ql,Hl,ce,Kt,Yl,Ms,Gl,Rl,Ts,Jl,Zl,V,Wt,ed,Es,td,od,Ns,nd,sd,Us,rd,ad,Je,id,A,Xt,ld,As,dd,cd,we,md,Fs,pd,fd,Cs,ud,hd,gd,Qt,_d,Ps,vd,bd,xd,Ht,yd,Os,$d,wd,Dd,Ze,kd,et,Md,tt,Yt,Td,qs,Ed,Nd,ot,Gt,Ud,Rt,Ad,js,Fd,Cd,qa,De,nt,Ls,Jt,Pd,Is,Od,ja,Zt,eo,La,ke,st,Vs,to,qd,Bs,jd,Ia,W,oo,Ld,zs,Id,Vd,no,Bd,Sn,zd,Sd,Kd,Kn,so,Va,Me,rt,Ss,ro,Wd,Ks,Xd,Ba,ao,io,za,Te,at,Ws,lo,Qd,Xs,Hd,Sa,X,co,Yd,Qs,Gd,Rd,mo,Jd,Wn,Zd,ec,tc,Xn,po,Ka,Ee,it,Hs,fo,oc,Ys,nc,Wa,uo,ho,Xa,Ne,lt,Gs,go,sc,Rs,rc,Qa,F,_o,ac,Js,ic,lc,vo,dc,Qn,cc,mc,pc,Hn,bo,fc,me,xo,uc,Zs,hc,gc,er,_c,vc,Yn,yo,Ha,Ue,dt,tr,$o,bc,or,xc,Ya,Ae,wo,yc,nr,$c,Ga,Fe,ct,sr,Do,wc,rr,Dc,Ra,Ce,ko,kc,ar,Mc,Ja,Pe,mt,ir,Mo,Tc,lr,Ec,Za,Q,To,Nc,dr,Uc,Ac,Eo,Fc,Gn,Cc,Pc,Oc,Rn,No,ei,Oe,pt,cr,Uo,qc,mr,jc,ti,qe,Ao,Lc,pr,Ic,oi,je,ft,fr,Fo,Vc,ur,Bc,ni,C,Co,zc,hr,Sc,Kc,Po,Wc,Jn,Xc,Qc,Hc,ut,Oo,Yc,qo,Gc,gr,Rc,Jc,Zc,pe,jo,em,_r,tm,om,vr,nm,sm,Zn,Lo,si,Le,ht,br,Io,rm,xr,am,ri,P,Vo,im,yr,lm,dm,$r,cm,mm,Bo,pm,wr,fm,um,hm,Dr,gm,_m,es,zo,ai,Ie,gt,kr,So,vm,Mr,bm,ii,Ko,Wo,li,Ve,_t,Tr,Xo,xm,Er,ym,di,L,Qo,$m,Nr,wm,Dm,Ho,km,ts,Mm,Tm,Em,os,Nm,Yo,Um,Am,ns,Go,ci,Be,vt,Ur,Ro,Fm,Ar,Cm,mi,Jo,Zo,pi,ze,bt,Fr,en,Pm,Cr,Om,fi,U,tn,qm,Pr,jm,Lm,ss,rs,Im,Vm,Bm,B,on,zm,Or,Sm,Km,nn,Wm,qr,Xm,Qm,Hm,sn,Ym,jr,Gm,Rm,Jm,xt,Zm,yt,rn,ep,an,tp,Lr,op,np,sp,J,ln,rp,H,ap,Ir,ip,lp,Vr,dp,cp,Br,mp,pp,zr,fp,up,hp,Sr,gp,_p,$t,vp,Z,dn,bp,Y,xp,Kr,yp,$p,Wr,wp,Dp,Xr,kp,Mp,Qr,Tp,Ep,Np,Hr,Up,Ap,wt,Fp,fe,cn,Cp,G,Pp,Yr,Op,qp,Gr,jp,Lp,Rr,Ip,Vp,Jr,Bp,zp,Sp,Dt,ui,Se,kt,Zr,mn,Kp,ea,Wp,hi,Ke,pn,Xp,Mt,fn,Qp,ta,Hp,gi,We,Tt,oa,un,Yp,na,Gp,_i,O,hn,Rp,sa,Jp,Zp,gn,ef,as,tf,of,nf,_n,sf,vn,rf,af,lf,ra,df,cf,se,aa,bn,mf,pf,ia,xn,ff,uf,la,yn,hf,gf,da,$n,_f,vi,Xe,Et,ca,wn,vf,ma,bf,bi,re,Dn,xf,pa,yf,$f,Nt,kn,wf,fa,Df,xi,Qe,Ut,ua,Mn,kf,ha,Mf,yi,ae,Tn,Tf,ga,Ef,Nf,At,En,Uf,_a,Af,$i,He,Ft,va,Nn,Ff,ba,Cf,wi,I,Un,Pf,xa,Of,qf,An,jf,Fn,Lf,If,Vf,ya,Bf,zf,ie,$a,Cn,Sf,Kf,wa,Pn,Wf,Xf,Da,On,Qf,Hf,ka,qn,Yf,Di;return f=new E({}),Vt=new E({}),Bt=new D({props:{name:"class diffusers.ModelMixin",anchor:"diffusers.ModelMixin",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/modeling_utils.py#L145"}}),zt=new D({props:{name:"disable_gradient_checkpointing",anchor:"diffusers.ModelMixin.disable_gradient_checkpointing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/modeling_utils.py#L183"}}),St=new D({props:{name:"disable_xformers_memory_efficient_attention",anchor:"diffusers.ModelMixin.disable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/modeling_utils.py#L242"}}),Kt=new D({props:{name:"enable_gradient_checkpointing",anchor:"diffusers.ModelMixin.enable_gradient_checkpointing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/modeling_utils.py#L172"}}),Wt=new D({props:{name:"enable_xformers_memory_efficient_attention",anchor:"diffusers.ModelMixin.enable_xformers_memory_efficient_attention",parameters:[{name:"attention_op",val:": typing.Optional[typing.Callable] = None"}],parametersDescription:[{anchor:"diffusers.ModelMixin.enable_xformers_memory_efficient_attention.attention_op",description:`<strong>attention_op</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
Override the default <code>None</code> operator for use as <code>op</code> argument to the
<a href="https://facebookresearch.github.io/xformers/components/ops.html#xformers.ops.memory_efficient_attention" rel="nofollow"><code>memory_efficient_attention()</code></a>
function of xFormers.`,name:"attention_op"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/modeling_utils.py#L210"}}),Je=new Aa({props:{anchor:"diffusers.ModelMixin.enable_xformers_memory_efficient_attention.example",$$slots:{default:[g_]},$$scope:{ctx:q}}}),Xt=new D({props:{name:"from_pretrained",anchor:"diffusers.ModelMixin.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:": typing.Union[str, os.PathLike, NoneType]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.ModelMixin.from_pretrained.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code> or <code>os.PathLike</code>, <em>optional</em>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids should have an organization name, like <code>google/ddpm-celebahq-256</code>.</li>
<li>A path to a <em>directory</em> containing model weights saved using <code>~ModelMixin.save_config</code>, e.g.,
<code>./my_model_directory/</code>.</li>
</ul>`,name:"pretrained_model_name_or_path"},{anchor:"diffusers.ModelMixin.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Union[str, os.PathLike]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"diffusers.ModelMixin.from_pretrained.torch_dtype",description:`<strong>torch_dtype</strong> (<code>str</code> or <code>torch.dtype</code>, <em>optional</em>) &#x2014;
Override the default <code>torch.dtype</code> and load the model under this dtype. If <code>&quot;auto&quot;</code> is passed the dtype
will be automatically derived from the model&#x2019;s weights.`,name:"torch_dtype"},{anchor:"diffusers.ModelMixin.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"diffusers.ModelMixin.from_pretrained.resume_download",description:`<strong>resume_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to delete incompletely received files. Will attempt to resume the download if such a
file exists.`,name:"resume_download"},{anchor:"diffusers.ModelMixin.from_pretrained.proxies",description:`<strong>proxies</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
A dictionary of proxy servers to use by protocol or endpoint, e.g., <code>{&apos;http&apos;: &apos;foo.bar:3128&apos;, &apos;http://hostname&apos;: &apos;foo.bar:4012&apos;}</code>. The proxies are used on each request.`,name:"proxies"},{anchor:"diffusers.ModelMixin.from_pretrained.output_loading_info(bool,",description:`<strong>output_loading_info(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to also return a dictionary containing missing keys, unexpected keys and error messages.`,name:"output_loading_info(bool,"},{anchor:"diffusers.ModelMixin.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"diffusers.ModelMixin.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <em>bool</em>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>diffusers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"diffusers.ModelMixin.from_pretrained.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
The specific model version to use. It can be a branch name, a tag name, or a commit id, since we use a
git-based system for storing models and other artifacts on huggingface.co, so <code>revision</code> can be any
identifier allowed by git.`,name:"revision"},{anchor:"diffusers.ModelMixin.from_pretrained.from_flax",description:`<strong>from_flax</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Load the model weights from a Flax checkpoint save file.`,name:"from_flax"},{anchor:"diffusers.ModelMixin.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo (either remote in
huggingface.co or downloaded locally), you can specify the folder name here.`,name:"subfolder"},{anchor:"diffusers.ModelMixin.from_pretrained.mirror",description:`<strong>mirror</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Mirror source to accelerate downloads in China. If you are from China and have an accessibility
problem, you can set this option to resolve it. Note that we do not guarantee the timeliness or safety.
Please refer to the mirror site for more information.`,name:"mirror"},{anchor:"diffusers.ModelMixin.from_pretrained.device_map",description:`<strong>device_map</strong> (<code>str</code> or <code>Dict[str, Union[int, str, torch.device]]</code>, <em>optional</em>) &#x2014;
A map that specifies where each submodule should go. It doesn&#x2019;t need to be refined to each
parameter/buffer name, once a given module name is inside, every submodule of it will be sent to the
same device.</p>
<p>To have Accelerate compute the most optimized <code>device_map</code> automatically, set <code>device_map=&quot;auto&quot;</code>. For
more information about each option see <a href="https://hf.co/docs/accelerate/main/en/usage_guides/big_modeling#designing-a-device-map" rel="nofollow">designing a device
map</a>.`,name:"device_map"},{anchor:"diffusers.ModelMixin.from_pretrained.low_cpu_mem_usage",description:`<strong>low_cpu_mem_usage</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code> if torch version &gt;= 1.9.0 else <code>False</code>) &#x2014;
Speed up model loading by not initializing the weights and only loading the pre-trained weights. This
also tries to not use more than 1x model size in CPU memory (including peak memory) while loading the
model. This is only supported when torch version &gt;= 1.9.0. If you are using an older version of torch,
setting this argument to <code>True</code> will raise an error.`,name:"low_cpu_mem_usage"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/modeling_utils.py#L302"}}),Ze=new c_({props:{$$slots:{default:[__]},$$scope:{ctx:q}}}),et=new c_({props:{$$slots:{default:[v_]},$$scope:{ctx:q}}}),Yt=new D({props:{name:"num_parameters",anchor:"diffusers.ModelMixin.num_parameters",parameters:[{name:"only_trainable",val:": bool = False"},{name:"exclude_embeddings",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.ModelMixin.num_parameters.only_trainable",description:`<strong>only_trainable</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to return only the number of trainable parameters`,name:"only_trainable"},{anchor:"diffusers.ModelMixin.num_parameters.exclude_embeddings",description:`<strong>exclude_embeddings</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to return only the number of non-embeddings parameters`,name:"exclude_embeddings"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/modeling_utils.py#L734",returnDescription:`
<p>The number of parameters.</p>
`,returnType:`
<p><code>int</code></p>
`}}),Gt=new D({props:{name:"save_pretrained",anchor:"diffusers.ModelMixin.save_pretrained",parameters:[{name:"save_directory",val:": typing.Union[str, os.PathLike]"},{name:"is_main_process",val:": bool = True"},{name:"save_function",val:": typing.Callable = None"},{name:"safe_serialization",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.ModelMixin.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Directory to which to save. Will be created if it doesn&#x2019;t exist.`,name:"save_directory"},{anchor:"diffusers.ModelMixin.save_pretrained.is_main_process",description:`<strong>is_main_process</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether the process calling this is the main process or not. Useful when in distributed training like
TPUs and need to call this function on all processes. In this case, set <code>is_main_process=True</code> only on
the main process to avoid race conditions.`,name:"is_main_process"},{anchor:"diffusers.ModelMixin.save_pretrained.save_function",description:`<strong>save_function</strong> (<code>Callable</code>) &#x2014;
The function to use to save the state dictionary. Useful on distributed training like TPUs when one
need to replace <code>torch.save</code> by another method. Can be configured with the environment variable
<code>DIFFUSERS_SAVE_MODE</code>.`,name:"save_function"},{anchor:"diffusers.ModelMixin.save_pretrained.safe_serialization",description:`<strong>safe_serialization</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to save the model using <code>safetensors</code> or the traditional PyTorch way (that uses <code>pickle</code>).`,name:"safe_serialization"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/modeling_utils.py#L248"}}),Jt=new E({}),eo=new D({props:{name:"class diffusers.models.unet_2d.UNet2DOutput",anchor:"diffusers.models.unet_2d.UNet2DOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.unet_2d.UNet2DOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Hidden states output. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/unet_2d.py#L28"}}),to=new E({}),oo=new D({props:{name:"class diffusers.UNet2DModel",anchor:"diffusers.UNet2DModel",parameters:[{name:"sample_size",val:": typing.Union[int, typing.Tuple[int, int], NoneType] = None"},{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"center_input_sample",val:": bool = False"},{name:"time_embedding_type",val:": str = 'positional'"},{name:"freq_shift",val:": int = 0"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownBlock2D', 'AttnDownBlock2D', 'AttnDownBlock2D', 'AttnDownBlock2D')"},{name:"up_block_types",val:": typing.Tuple[str] = ('AttnUpBlock2D', 'AttnUpBlock2D', 'AttnUpBlock2D', 'UpBlock2D')"},{name:"block_out_channels",val:": typing.Tuple[int] = (224, 448, 672, 896)"},{name:"layers_per_block",val:": int = 2"},{name:"mid_block_scale_factor",val:": float = 1"},{name:"downsample_padding",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"attention_head_dim",val:": int = 8"},{name:"norm_num_groups",val:": int = 32"},{name:"norm_eps",val:": float = 1e-05"},{name:"resnet_time_scale_shift",val:": str = 'default'"},{name:"add_attention",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet2DModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code> or <code>Tuple[int, int]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Height and width of input/output sample.`,name:"sample_size"},{anchor:"diffusers.UNet2DModel.in_channels",description:"<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the input image.",name:"in_channels"},{anchor:"diffusers.UNet2DModel.out_channels",description:"<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.UNet2DModel.center_input_sample",description:"<strong>center_input_sample</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014; Whether to center the input sample.",name:"center_input_sample"},{anchor:"diffusers.UNet2DModel.time_embedding_type",description:"<strong>time_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;positional&quot;</code>) &#x2014; Type of time embedding to use.",name:"time_embedding_type"},{anchor:"diffusers.UNet2DModel.freq_shift",description:"<strong>freq_shift</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014; Frequency shift for fourier time embedding.",name:"freq_shift"},{anchor:"diffusers.UNet2DModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>True</code>): Whether to flip sin to cos for fourier time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.UNet2DModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownBlock2D&quot;, &quot;AttnDownBlock2D&quot;, &quot;AttnDownBlock2D&quot;, &quot;AttnDownBlock2D&quot;)</code>): Tuple of downsample block
types.`,name:"down_block_types"},{anchor:"diffusers.UNet2DModel.mid_block_type",description:`<strong>mid_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;UNetMidBlock2D&quot;</code>) &#x2014;
The mid block type. Choose from <code>UNetMidBlock2D</code> or <code>UnCLIPUNetMidBlock2D</code>.`,name:"mid_block_type"},{anchor:"diffusers.UNet2DModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;AttnUpBlock2D&quot;, &quot;AttnUpBlock2D&quot;, &quot;AttnUpBlock2D&quot;, &quot;UpBlock2D&quot;)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.UNet2DModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(224, 448, 672, 896)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.UNet2DModel.layers_per_block",description:"<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to <code>2</code>) &#x2014; The number of layers per block.",name:"layers_per_block"},{anchor:"diffusers.UNet2DModel.mid_block_scale_factor",description:"<strong>mid_block_scale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014; The scale factor for the mid block.",name:"mid_block_scale_factor"},{anchor:"diffusers.UNet2DModel.downsample_padding",description:"<strong>downsample_padding</strong> (<code>int</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014; The padding for the downsample convolution.",name:"downsample_padding"},{anchor:"diffusers.UNet2DModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.UNet2DModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014; The attention head dimension.",name:"attention_head_dim"},{anchor:"diffusers.UNet2DModel.norm_num_groups",description:"<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to <code>32</code>) &#x2014; The number of groups for the normalization.",name:"norm_num_groups"},{anchor:"diffusers.UNet2DModel.norm_eps",description:"<strong>norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to <code>1e-5</code>) &#x2014; The epsilon for the normalization.",name:"norm_eps"},{anchor:"diffusers.UNet2DModel.resnet_time_scale_shift",description:`<strong>resnet_time_scale_shift</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014; Time scale shift config
for resnet blocks, see <code>ResnetBlock2D</code>. Choose from <code>default</code> or <code>scale_shift</code>.`,name:"resnet_time_scale_shift"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/unet_2d.py#L38"}}),so=new D({props:{name:"forward",anchor:"diffusers.UNet2DModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet2DModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; (batch, channel, height, width) noisy inputs tensor",name:"sample"},{anchor:"diffusers.UNet2DModel.forward.timestep",description:"<strong>timestep</strong> (<code>torch.FloatTensor</code> or <code>float</code> or `int) &#x2014; (batch) timesteps",name:"timestep"},{anchor:"diffusers.UNet2DModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.12.0/en/api/models#diffusers.models.unet_2d.UNet2DOutput">UNet2DOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/unet_2d.py#L189",returnDescription:`
<p><a
  href="/docs/diffusers/v0.12.0/en/api/models#diffusers.models.unet_2d.UNet2DOutput"
>UNet2DOutput</a> if <code>return_dict</code> is True,
otherwise a <code>tuple</code>. When returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.12.0/en/api/models#diffusers.models.unet_2d.UNet2DOutput"
>UNet2DOutput</a> or <code>tuple</code></p>
`}}),ro=new E({}),io=new D({props:{name:"class diffusers.models.unet_1d.UNet1DOutput",anchor:"diffusers.models.unet_1d.UNet1DOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.unet_1d.UNet1DOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, sample_size)</code>) &#x2014;
Hidden states output. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/unet_1d.py#L29"}}),lo=new E({}),co=new D({props:{name:"class diffusers.UNet1DModel",anchor:"diffusers.UNet1DModel",parameters:[{name:"sample_size",val:": int = 65536"},{name:"sample_rate",val:": typing.Optional[int] = None"},{name:"in_channels",val:": int = 2"},{name:"out_channels",val:": int = 2"},{name:"extra_in_channels",val:": int = 0"},{name:"time_embedding_type",val:": str = 'fourier'"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"use_timestep_embedding",val:": bool = False"},{name:"freq_shift",val:": float = 0.0"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownBlock1DNoSkip', 'DownBlock1D', 'AttnDownBlock1D')"},{name:"up_block_types",val:": typing.Tuple[str] = ('AttnUpBlock1D', 'UpBlock1D', 'UpBlock1DNoSkip')"},{name:"mid_block_type",val:": typing.Tuple[str] = 'UNetMidBlock1D'"},{name:"out_block_type",val:": str = None"},{name:"block_out_channels",val:": typing.Tuple[int] = (32, 32, 64)"},{name:"act_fn",val:": str = None"},{name:"norm_num_groups",val:": int = 8"},{name:"layers_per_block",val:": int = 1"},{name:"downsample_each_block",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.UNet1DModel.sample_size",description:"<strong>sample_size</strong> (<code>int</code>, <em>optional</em>) &#x2014; Default length of sample. Should be adaptable at runtime.",name:"sample_size"},{anchor:"diffusers.UNet1DModel.in_channels",description:"<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; Number of channels in the input sample.",name:"in_channels"},{anchor:"diffusers.UNet1DModel.out_channels",description:"<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.UNet1DModel.time_embedding_type",description:"<strong>time_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;fourier&quot;</code>) &#x2014; Type of time embedding to use.",name:"time_embedding_type"},{anchor:"diffusers.UNet1DModel.freq_shift",description:"<strong>freq_shift</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014; Frequency shift for fourier time embedding.",name:"freq_shift"},{anchor:"diffusers.UNet1DModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>False</code>): Whether to flip sin to cos for fourier time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.UNet1DModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownBlock1D&quot;, &quot;DownBlock1DNoSkip&quot;, &quot;AttnDownBlock1D&quot;)</code>): Tuple of downsample block types.`,name:"down_block_types"},{anchor:"diffusers.UNet1DModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;UpBlock1D&quot;, &quot;UpBlock1DNoSkip&quot;, &quot;AttnUpBlock1D&quot;)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.UNet1DModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(32, 32, 64)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.UNet1DModel.mid_block_type",description:"<strong>mid_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to &#x201C;UNetMidBlock1D&#x201D;) &#x2014; block type for middle of UNet.",name:"mid_block_type"},{anchor:"diffusers.UNet1DModel.out_block_type",description:"<strong>out_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014; optional output processing of UNet.",name:"out_block_type"},{anchor:"diffusers.UNet1DModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to None) &#x2014; optional activitation function in UNet blocks.",name:"act_fn"},{anchor:"diffusers.UNet1DModel.norm_num_groups",description:"<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014; group norm member count in UNet blocks.",name:"norm_num_groups"},{anchor:"diffusers.UNet1DModel.layers_per_block",description:"<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; added number of layers in a UNet block.",name:"layers_per_block"},{anchor:"diffusers.UNet1DModel.downsample_each_block",description:`<strong>downsample_each_block</strong> (<code>int</code>, <em>optional</em>, defaults to False &#x2014;
experimental feature for using a UNet without upsampling.`,name:"downsample_each_block"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/unet_1d.py#L39"}}),po=new D({props:{name:"forward",anchor:"diffusers.UNet1DModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet1DModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; <code>(batch_size, sample_size, num_channels)</code> noisy inputs tensor",name:"sample"},{anchor:"diffusers.UNet1DModel.forward.timestep",description:"<strong>timestep</strong> (<code>torch.FloatTensor</code> or <code>float</code> or `int) &#x2014; (batch) timesteps",name:"timestep"},{anchor:"diffusers.UNet1DModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.12.0/en/api/models#diffusers.models.unet_1d.UNet1DOutput">UNet1DOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/unet_1d.py#L190",returnDescription:`
<p><a
  href="/docs/diffusers/v0.12.0/en/api/models#diffusers.models.unet_1d.UNet1DOutput"
>UNet1DOutput</a> if <code>return_dict</code> is True,
otherwise a <code>tuple</code>. When returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.12.0/en/api/models#diffusers.models.unet_1d.UNet1DOutput"
>UNet1DOutput</a> or <code>tuple</code></p>
`}}),fo=new E({}),ho=new D({props:{name:"class diffusers.models.unet_2d_condition.UNet2DConditionOutput",anchor:"diffusers.models.unet_2d_condition.UNet2DConditionOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.unet_2d_condition.UNet2DConditionOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Hidden states conditioned on <code>encoder_hidden_states</code> input. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/unet_2d_condition.py#L43"}}),go=new E({}),_o=new D({props:{name:"class diffusers.UNet2DConditionModel",anchor:"diffusers.UNet2DConditionModel",parameters:[{name:"sample_size",val:": typing.Optional[int] = None"},{name:"in_channels",val:": int = 4"},{name:"out_channels",val:": int = 4"},{name:"center_input_sample",val:": bool = False"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"freq_shift",val:": int = 0"},{name:"down_block_types",val:": typing.Tuple[str] = ('CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'DownBlock2D')"},{name:"mid_block_type",val:": str = 'UNetMidBlock2DCrossAttn'"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D')"},{name:"only_cross_attention",val:": typing.Union[bool, typing.Tuple[bool]] = False"},{name:"block_out_channels",val:": typing.Tuple[int] = (320, 640, 1280, 1280)"},{name:"layers_per_block",val:": int = 2"},{name:"downsample_padding",val:": int = 1"},{name:"mid_block_scale_factor",val:": float = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"norm_num_groups",val:": int = 32"},{name:"norm_eps",val:": float = 1e-05"},{name:"cross_attention_dim",val:": int = 1280"},{name:"attention_head_dim",val:": typing.Union[int, typing.Tuple[int]] = 8"},{name:"dual_cross_attention",val:": bool = False"},{name:"use_linear_projection",val:": bool = False"},{name:"class_embed_type",val:": typing.Optional[str] = None"},{name:"num_class_embeds",val:": typing.Optional[int] = None"},{name:"upcast_attention",val:": bool = False"},{name:"resnet_time_scale_shift",val:": str = 'default'"}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code> or <code>Tuple[int, int]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Height and width of input/output sample.`,name:"sample_size"},{anchor:"diffusers.UNet2DConditionModel.in_channels",description:"<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of channels in the input sample.",name:"in_channels"},{anchor:"diffusers.UNet2DConditionModel.out_channels",description:"<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of channels in the output.",name:"out_channels"},{anchor:"diffusers.UNet2DConditionModel.center_input_sample",description:"<strong>center_input_sample</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014; Whether to center the input sample.",name:"center_input_sample"},{anchor:"diffusers.UNet2DConditionModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to flip the sin to cos in the time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.UNet2DConditionModel.freq_shift",description:"<strong>freq_shift</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014; The frequency shift to apply to the time embedding.",name:"freq_shift"},{anchor:"diffusers.UNet2DConditionModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;DownBlock2D&quot;)</code>) &#x2014;
The tuple of downsample blocks to use.`,name:"down_block_types"},{anchor:"diffusers.UNet2DConditionModel.mid_block_type",description:`<strong>mid_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;UNetMidBlock2DCrossAttn&quot;</code>) &#x2014;
The mid block type. Choose from <code>UNetMidBlock2DCrossAttn</code> or <code>UNetMidBlock2DSimpleCrossAttn</code>.`,name:"mid_block_type"},{anchor:"diffusers.UNet2DConditionModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;UpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;,)</code>) &#x2014;
The tuple of upsample blocks to use.`,name:"up_block_types"},{anchor:"diffusers.UNet2DConditionModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to <code>(320, 640, 1280, 1280)</code>) &#x2014;
The tuple of output channels for each block.`,name:"block_out_channels"},{anchor:"diffusers.UNet2DConditionModel.layers_per_block",description:"<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; The number of layers per block.",name:"layers_per_block"},{anchor:"diffusers.UNet2DConditionModel.downsample_padding",description:"<strong>downsample_padding</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; The padding to use for the downsampling convolution.",name:"downsample_padding"},{anchor:"diffusers.UNet2DConditionModel.mid_block_scale_factor",description:"<strong>mid_block_scale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014; The scale factor to use for the mid block.",name:"mid_block_scale_factor"},{anchor:"diffusers.UNet2DConditionModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.UNet2DConditionModel.norm_num_groups",description:"<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014; The number of groups to use for the normalization.",name:"norm_num_groups"},{anchor:"diffusers.UNet2DConditionModel.norm_eps",description:"<strong>norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014; The epsilon to use for the normalization.",name:"norm_eps"},{anchor:"diffusers.UNet2DConditionModel.cross_attention_dim",description:"<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 1280) &#x2014; The dimension of the cross attention features.",name:"cross_attention_dim"},{anchor:"diffusers.UNet2DConditionModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014; The dimension of the attention heads.",name:"attention_head_dim"},{anchor:"diffusers.UNet2DConditionModel.resnet_time_scale_shift",description:`<strong>resnet_time_scale_shift</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014; Time scale shift config
for resnet blocks, see <code>ResnetBlock2D</code>. Choose from <code>default</code> or <code>scale_shift</code>.`,name:"resnet_time_scale_shift"},{anchor:"diffusers.UNet2DConditionModel.class_embed_type",description:`<strong>class_embed_type</strong> (<code>str</code>, <em>optional</em>, defaults to None) &#x2014; The type of class embedding to use which is ultimately
summed with the time embeddings. Choose from <code>None</code>, <code>&quot;timestep&quot;</code>, or <code>&quot;identity&quot;</code>.`,name:"class_embed_type"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/unet_2d_condition.py#L53"}}),bo=new D({props:{name:"forward",anchor:"diffusers.UNet2DConditionModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"encoder_hidden_states",val:": Tensor"},{name:"class_labels",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; (batch, channel, height, width) noisy inputs tensor",name:"sample"},{anchor:"diffusers.UNet2DConditionModel.forward.timestep",description:"<strong>timestep</strong> (<code>torch.FloatTensor</code> or <code>float</code> or <code>int</code>) &#x2014; (batch) timesteps",name:"timestep"},{anchor:"diffusers.UNet2DConditionModel.forward.encoder_hidden_states",description:"<strong>encoder_hidden_states</strong> (<code>torch.FloatTensor</code>) &#x2014; (batch, sequence_length, feature_dim) encoder hidden states",name:"encoder_hidden_states"},{anchor:"diffusers.UNet2DConditionModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.12.0/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput">models.unet_2d_condition.UNet2DConditionOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/unet_2d_condition.py#L393",returnDescription:`
<p><a
  href="/docs/diffusers/v0.12.0/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput"
>UNet2DConditionOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple</code>. When
returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.12.0/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput"
>UNet2DConditionOutput</a> or <code>tuple</code></p>
`}}),xo=new D({props:{name:"set_attention_slice",anchor:"diffusers.UNet2DConditionModel.set_attention_slice",parameters:[{name:"slice_size",val:""}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.set_attention_slice.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code> or <code>list(int)</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maxium amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/unet_2d_condition.py#L324"}}),yo=new D({props:{name:"set_attn_processor",anchor:"diffusers.UNet2DConditionModel.set_attn_processor",parameters:[{name:"processor",val:": typing.Union[diffusers.models.cross_attention.CrossAttnProcessor, diffusers.models.cross_attention.XFormersCrossAttnProcessor, diffusers.models.cross_attention.SlicedAttnProcessor, diffusers.models.cross_attention.CrossAttnAddedKVProcessor, diffusers.models.cross_attention.SlicedAttnAddedKVProcessor, typing.Dict[str, typing.Union[diffusers.models.cross_attention.CrossAttnProcessor, diffusers.models.cross_attention.XFormersCrossAttnProcessor, diffusers.models.cross_attention.SlicedAttnProcessor, diffusers.models.cross_attention.CrossAttnAddedKVProcessor, diffusers.models.cross_attention.SlicedAttnAddedKVProcessor]]]"}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.set_attn_processor.`processor",description:`<strong>\`processor</strong> (<code>dict</code> of <code>AttnProcessor</code> or <code>AttnProcessor</code>) &#x2014;
The instantiated processor class or a dictionary of processor classes that will be set as the processor
of <strong>all</strong> <code>CrossAttention</code> layers.`,name:"`processor"},{anchor:"diffusers.UNet2DConditionModel.set_attn_processor.In",description:"<strong>In</strong> case <code>processor</code> is a dict, the key needs to define the path to the corresponding cross attention processor. This is strongly recommended when setting trainablae attention processors. &#x2014;",name:"In"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/unet_2d_condition.py#L294"}}),$o=new E({}),wo=new D({props:{name:"class diffusers.models.vae.DecoderOutput",anchor:"diffusers.models.vae.DecoderOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.vae.DecoderOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Decoded output sample of the model. Output of the last layer of the model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/vae.py#L26"}}),Do=new E({}),ko=new D({props:{name:"class diffusers.models.vq_model.VQEncoderOutput",anchor:"diffusers.models.vq_model.VQEncoderOutput",parameters:[{name:"latents",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.vq_model.VQEncoderOutput.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Encoded output sample of the model. Output of the last layer of the model.`,name:"latents"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/vq_model.py#L27"}}),Mo=new E({}),To=new D({props:{name:"class diffusers.VQModel",anchor:"diffusers.VQModel",parameters:[{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownEncoderBlock2D',)"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpDecoderBlock2D',)"},{name:"block_out_channels",val:": typing.Tuple[int] = (64,)"},{name:"layers_per_block",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"latent_channels",val:": int = 3"},{name:"sample_size",val:": int = 32"},{name:"num_vq_embeddings",val:": int = 256"},{name:"norm_num_groups",val:": int = 32"},{name:"vq_embed_dim",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.VQModel.in_channels",description:"<strong>in_channels</strong> (int, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the input image.",name:"in_channels"},{anchor:"diffusers.VQModel.out_channels",description:"<strong>out_channels</strong> (int,  <em>optional</em>, defaults to 3) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.VQModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownEncoderBlock2D&quot;,)</code>): Tuple of downsample block types.`,name:"down_block_types"},{anchor:"diffusers.VQModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;UpDecoderBlock2D&quot;,)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.VQModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(64,)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.VQModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.VQModel.latent_channels",description:"<strong>latent_channels</strong> (<code>int</code>, <em>optional</em>, defaults to <code>3</code>) &#x2014; Number of channels in the latent space.",name:"latent_channels"},{anchor:"diffusers.VQModel.sample_size",description:"<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to <code>32</code>) &#x2014; TODO",name:"sample_size"},{anchor:"diffusers.VQModel.num_vq_embeddings",description:"<strong>num_vq_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to <code>256</code>) &#x2014; Number of codebook vectors in the VQ-VAE.",name:"num_vq_embeddings"},{anchor:"diffusers.VQModel.vq_embed_dim",description:"<strong>vq_embed_dim</strong> (<code>int</code>, <em>optional</em>) &#x2014; Hidden dim of codebook vectors in the VQ-VAE.",name:"vq_embed_dim"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/vq_model.py#L39"}}),No=new D({props:{name:"forward",anchor:"diffusers.VQModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.VQModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; Input sample.",name:"sample"},{anchor:"diffusers.VQModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>DecoderOutput</code> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/vq_model.py#L134"}}),Uo=new E({}),Ao=new D({props:{name:"class diffusers.models.autoencoder_kl.AutoencoderKLOutput",anchor:"diffusers.models.autoencoder_kl.AutoencoderKLOutput",parameters:[{name:"latent_dist",val:": DiagonalGaussianDistribution"}],parametersDescription:[{anchor:"diffusers.models.autoencoder_kl.AutoencoderKLOutput.latent_dist",description:`<strong>latent_dist</strong> (<code>DiagonalGaussianDistribution</code>) &#x2014;
Encoded outputs of <code>Encoder</code> represented as the mean and logvar of <code>DiagonalGaussianDistribution</code>.
<code>DiagonalGaussianDistribution</code> allows for sampling latents from the distribution.`,name:"latent_dist"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/autoencoder_kl.py#L27"}}),Fo=new E({}),Co=new D({props:{name:"class diffusers.AutoencoderKL",anchor:"diffusers.AutoencoderKL",parameters:[{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownEncoderBlock2D',)"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpDecoderBlock2D',)"},{name:"block_out_channels",val:": typing.Tuple[int] = (64,)"},{name:"layers_per_block",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"latent_channels",val:": int = 4"},{name:"norm_num_groups",val:": int = 32"},{name:"sample_size",val:": int = 32"}],parametersDescription:[{anchor:"diffusers.AutoencoderKL.in_channels",description:"<strong>in_channels</strong> (int, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the input image.",name:"in_channels"},{anchor:"diffusers.AutoencoderKL.out_channels",description:"<strong>out_channels</strong> (int,  <em>optional</em>, defaults to 3) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.AutoencoderKL.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownEncoderBlock2D&quot;,)</code>): Tuple of downsample block types.`,name:"down_block_types"},{anchor:"diffusers.AutoencoderKL.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;UpDecoderBlock2D&quot;,)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.AutoencoderKL.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(64,)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.AutoencoderKL.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.AutoencoderKL.latent_channels",description:"<strong>latent_channels</strong> (<code>int</code>, <em>optional</em>, defaults to <code>4</code>) &#x2014; Number of channels in the latent space.",name:"latent_channels"},{anchor:"diffusers.AutoencoderKL.sample_size",description:"<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to <code>32</code>) &#x2014; TODO",name:"sample_size"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/autoencoder_kl.py#L40"}}),Oo=new D({props:{name:"disable_slicing",anchor:"diffusers.AutoencoderKL.disable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/autoencoder_kl.py#L132"}}),jo=new D({props:{name:"enable_slicing",anchor:"diffusers.AutoencoderKL.enable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/autoencoder_kl.py#L123"}}),Lo=new D({props:{name:"forward",anchor:"diffusers.AutoencoderKL.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"sample_posterior",val:": bool = False"},{name:"return_dict",val:": bool = True"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"}],parametersDescription:[{anchor:"diffusers.AutoencoderKL.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; Input sample.",name:"sample"},{anchor:"diffusers.AutoencoderKL.forward.sample_posterior",description:`<strong>sample_posterior</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to sample from the posterior.`,name:"sample_posterior"},{anchor:"diffusers.AutoencoderKL.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>DecoderOutput</code> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/autoencoder_kl.py#L151"}}),Io=new E({}),Vo=new D({props:{name:"class diffusers.Transformer2DModel",anchor:"diffusers.Transformer2DModel",parameters:[{name:"num_attention_heads",val:": int = 16"},{name:"attention_head_dim",val:": int = 88"},{name:"in_channels",val:": typing.Optional[int] = None"},{name:"out_channels",val:": typing.Optional[int] = None"},{name:"num_layers",val:": int = 1"},{name:"dropout",val:": float = 0.0"},{name:"norm_num_groups",val:": int = 32"},{name:"cross_attention_dim",val:": typing.Optional[int] = None"},{name:"attention_bias",val:": bool = False"},{name:"sample_size",val:": typing.Optional[int] = None"},{name:"num_vector_embeds",val:": typing.Optional[int] = None"},{name:"patch_size",val:": typing.Optional[int] = None"},{name:"activation_fn",val:": str = 'geglu'"},{name:"num_embeds_ada_norm",val:": typing.Optional[int] = None"},{name:"use_linear_projection",val:": bool = False"},{name:"only_cross_attention",val:": bool = False"},{name:"upcast_attention",val:": bool = False"},{name:"norm_type",val:": str = 'layer_norm'"},{name:"norm_elementwise_affine",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.Transformer2DModel.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014; The number of heads to use for multi-head attention.",name:"num_attention_heads"},{anchor:"diffusers.Transformer2DModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 88) &#x2014; The number of channels in each head.",name:"attention_head_dim"},{anchor:"diffusers.Transformer2DModel.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Pass if the input is continuous. The number of channels in the input and output.`,name:"in_channels"},{anchor:"diffusers.Transformer2DModel.num_layers",description:"<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; The number of layers of Transformer blocks to use.",name:"num_layers"},{anchor:"diffusers.Transformer2DModel.dropout",description:"<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014; The dropout probability to use.",name:"dropout"},{anchor:"diffusers.Transformer2DModel.cross_attention_dim",description:"<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>) &#x2014; The number of encoder_hidden_states dimensions to use.",name:"cross_attention_dim"},{anchor:"diffusers.Transformer2DModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>) &#x2014; Pass if the input is discrete. The width of the latent images.
Note that this is fixed at training time as it is used for learning a number of position embeddings. See
<code>ImagePositionalEmbeddings</code>.`,name:"sample_size"},{anchor:"diffusers.Transformer2DModel.num_vector_embeds",description:`<strong>num_vector_embeds</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Pass if the input is discrete. The number of classes of the vector embeddings of the latent pixels.
Includes the class for the masked latent pixel.`,name:"num_vector_embeds"},{anchor:"diffusers.Transformer2DModel.activation_fn",description:"<strong>activation_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;geglu&quot;</code>) &#x2014; Activation function to be used in feed-forward.",name:"activation_fn"},{anchor:"diffusers.Transformer2DModel.num_embeds_ada_norm",description:`<strong>num_embeds_ada_norm</strong> ( <code>int</code>, <em>optional</em>) &#x2014; Pass if at least one of the norm_layers is <code>AdaLayerNorm</code>.
The number of diffusion steps used during training. Note that this is fixed at training time as it is used
to learn a number of embeddings that are added to the hidden states. During inference, you can denoise for
up to but not more than steps than <code>num_embeds_ada_norm</code>.`,name:"num_embeds_ada_norm"},{anchor:"diffusers.Transformer2DModel.attention_bias",description:`<strong>attention_bias</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Configure if the TransformerBlocks&#x2019; attention should contain a bias parameter.`,name:"attention_bias"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/transformer_2d.py#L41"}}),zo=new D({props:{name:"forward",anchor:"diffusers.Transformer2DModel.forward",parameters:[{name:"hidden_states",val:""},{name:"encoder_hidden_states",val:" = None"},{name:"timestep",val:" = None"},{name:"class_labels",val:" = None"},{name:"cross_attention_kwargs",val:" = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.Transformer2DModel.forward.hidden_states",description:`<strong>hidden_states</strong> ( When discrete, <code>torch.LongTensor</code> of shape <code>(batch size, num latent pixels)</code>. &#x2014;
When continous, <code>torch.FloatTensor</code> of shape <code>(batch size, channel, height, width)</code>): Input
hidden_states`,name:"hidden_states"},{anchor:"diffusers.Transformer2DModel.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> ( <code>torch.LongTensor</code> of shape <code>(batch size, encoder_hidden_states dim)</code>, <em>optional</em>) &#x2014;
Conditional embeddings for cross attention layer. If not given, cross-attention defaults to
self-attention.`,name:"encoder_hidden_states"},{anchor:"diffusers.Transformer2DModel.forward.timestep",description:`<strong>timestep</strong> ( <code>torch.long</code>, <em>optional</em>) &#x2014;
Optional timestep to be applied as an embedding in AdaLayerNorm&#x2019;s. Used to indicate denoising step.`,name:"timestep"},{anchor:"diffusers.Transformer2DModel.forward.class_labels",description:`<strong>class_labels</strong> ( <code>torch.LongTensor</code> of shape <code>(batch size, num classes)</code>, <em>optional</em>) &#x2014;
Optional class labels to be applied as an embedding in AdaLayerZeroNorm. Used to indicate class labels
conditioning.`,name:"class_labels"},{anchor:"diffusers.Transformer2DModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.12.0/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput">models.unet_2d_condition.UNet2DConditionOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/transformer_2d.py#L214",returnDescription:`
<p><a
  href="/docs/diffusers/v0.12.0/en/api/models#diffusers.models.transformer_2d.Transformer2DModelOutput"
>Transformer2DModelOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple</code>. When
returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.12.0/en/api/models#diffusers.models.transformer_2d.Transformer2DModelOutput"
>Transformer2DModelOutput</a> or <code>tuple</code></p>
`}}),So=new E({}),Wo=new D({props:{name:"class diffusers.models.transformer_2d.Transformer2DModelOutput",anchor:"diffusers.models.transformer_2d.Transformer2DModelOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.transformer_2d.Transformer2DModelOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> or <code>(batch size, num_vector_embeds - 1, num_latent_pixels)</code> if <a href="/docs/diffusers/v0.12.0/en/api/models#diffusers.Transformer2DModel">Transformer2DModel</a> is discrete) &#x2014;
Hidden states conditioned on <code>encoder_hidden_states</code> input. If discrete, returns probability distributions
for the unnoised latent pixels.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/transformer_2d.py#L30"}}),Xo=new E({}),Qo=new D({props:{name:"class diffusers.PriorTransformer",anchor:"diffusers.PriorTransformer",parameters:[{name:"num_attention_heads",val:": int = 32"},{name:"attention_head_dim",val:": int = 64"},{name:"num_layers",val:": int = 20"},{name:"embedding_dim",val:": int = 768"},{name:"num_embeddings",val:" = 77"},{name:"additional_embeddings",val:" = 4"},{name:"dropout",val:": float = 0.0"}],parametersDescription:[{anchor:"diffusers.PriorTransformer.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014; The number of heads to use for multi-head attention.",name:"num_attention_heads"},{anchor:"diffusers.PriorTransformer.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014; The number of channels in each head.",name:"attention_head_dim"},{anchor:"diffusers.PriorTransformer.num_layers",description:"<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 20) &#x2014; The number of layers of Transformer blocks to use.",name:"num_layers"},{anchor:"diffusers.PriorTransformer.embedding_dim",description:`<strong>embedding_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014; The dimension of the CLIP embeddings. Note that CLIP
image embeddings and text embeddings are both the same dimension.`,name:"embedding_dim"},{anchor:"diffusers.PriorTransformer.num_embeddings",description:`<strong>num_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 77) &#x2014; The max number of clip embeddings allowed. I.e. the
length of the prompt after it has been tokenized.`,name:"num_embeddings"},{anchor:"diffusers.PriorTransformer.additional_embeddings",description:`<strong>additional_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of additional tokens appended to the
projected hidden_states. The actual length of the used hidden_states is <code>num_embeddings + additional_embeddings</code>.`,name:"additional_embeddings"},{anchor:"diffusers.PriorTransformer.dropout",description:"<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014; The dropout probability to use.",name:"dropout"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/prior_transformer.py#L26"}}),Go=new D({props:{name:"forward",anchor:"diffusers.PriorTransformer.forward",parameters:[{name:"hidden_states",val:""},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"proj_embedding",val:": FloatTensor"},{name:"encoder_hidden_states",val:": FloatTensor"},{name:"attention_mask",val:": typing.Optional[torch.BoolTensor] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.PriorTransformer.forward.hidden_states",description:`<strong>hidden_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, embedding_dim)</code>) &#x2014;
x_t, the currently predicted image embeddings.`,name:"hidden_states"},{anchor:"diffusers.PriorTransformer.forward.timestep",description:`<strong>timestep</strong> (<code>torch.long</code>) &#x2014;
Current denoising step.`,name:"timestep"},{anchor:"diffusers.PriorTransformer.forward.proj_embedding",description:`<strong>proj_embedding</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, embedding_dim)</code>) &#x2014;
Projected embedding vector the denoising process is conditioned on.`,name:"proj_embedding"},{anchor:"diffusers.PriorTransformer.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_embeddings, embedding_dim)</code>) &#x2014;
Hidden states of the text embeddings the denoising process is conditioned on.`,name:"encoder_hidden_states"},{anchor:"diffusers.PriorTransformer.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, num_embeddings)</code>) &#x2014;
Text mask for the text embeddings.`,name:"attention_mask"},{anchor:"diffusers.PriorTransformer.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.12.0/en/api/models#diffusers.models.prior_transformer.PriorTransformerOutput">models.prior_transformer.PriorTransformerOutput</a> instead of a plain
tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/prior_transformer.py#L107",returnDescription:`
<p><a
  href="/docs/diffusers/v0.12.0/en/api/models#diffusers.models.prior_transformer.PriorTransformerOutput"
>PriorTransformerOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple</code>. When
returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.12.0/en/api/models#diffusers.models.prior_transformer.PriorTransformerOutput"
>PriorTransformerOutput</a> or <code>tuple</code></p>
`}}),Ro=new E({}),Zo=new D({props:{name:"class diffusers.models.prior_transformer.PriorTransformerOutput",anchor:"diffusers.models.prior_transformer.PriorTransformerOutput",parameters:[{name:"predicted_image_embedding",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.prior_transformer.PriorTransformerOutput.predicted_image_embedding",description:`<strong>predicted_image_embedding</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, embedding_dim)</code>) &#x2014;
The predicted CLIP image embedding conditioned on the CLIP text embedding input.`,name:"predicted_image_embedding"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/prior_transformer.py#L16"}}),en=new E({}),tn=new D({props:{name:"class diffusers.FlaxModelMixin",anchor:"diffusers.FlaxModelMixin",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/modeling_flax_utils.py#L45"}}),on=new D({props:{name:"from_pretrained",anchor:"diffusers.FlaxModelMixin.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:": typing.Union[str, os.PathLike]"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"*model_args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.from_pretrained.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids are namespaced under a user or organization name, like
<code>runwayml/stable-diffusion-v1-5</code>.</li>
<li>A path to a <em>directory</em> containing model weights saved using <a href="/docs/diffusers/v0.12.0/en/api/models#diffusers.ModelMixin.save_pretrained">save_pretrained()</a>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"pretrained_model_name_or_path"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <code>~ModelMixin.to_fp16</code> and
<code>~ModelMixin.to_bf16</code>.`,name:"dtype"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.model_args",description:`<strong>model_args</strong> (sequence of positional arguments, <em>optional</em>) &#x2014;
All remaining positional arguments will be passed to the underlying model&#x2019;s <code>__init__</code> method.`,name:"model_args"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Union[str, os.PathLike]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.resume_download",description:`<strong>resume_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to delete incompletely received files. Will attempt to resume the download if such a
file exists.`,name:"resume_download"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.proxies",description:`<strong>proxies</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
A dictionary of proxy servers to use by protocol or endpoint, e.g., <code>{&apos;http&apos;: &apos;foo.bar:3128&apos;, &apos;http://hostname&apos;: &apos;foo.bar:4012&apos;}</code>. The proxies are used on each request.`,name:"proxies"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
The specific model version to use. It can be a branch name, a tag name, or a commit id, since we use a
git-based system for storing models and other artifacts on huggingface.co, so <code>revision</code> can be any
identifier allowed by git.`,name:"revision"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.from_pt",description:`<strong>from_pt</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Load the model weights from a PyTorch checkpoint save file.`,name:"from_pt"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.kwargs",description:`<strong>kwargs</strong> (remaining dictionary of keyword arguments, <em>optional</em>) &#x2014;
Can be used to update the configuration object (after it being loaded) and initiate the model (e.g.,
<code>output_attentions=True</code>). Behaves differently depending on whether a <code>config</code> is provided or
automatically loaded:</p>
<ul>
<li>If a configuration is provided with <code>config</code>, <code>**kwargs</code> will be directly passed to the
underlying model&#x2019;s <code>__init__</code> method (we assume all relevant updates to the configuration have
already been done)</li>
<li>If a configuration is not provided, <code>kwargs</code> will be first passed to the configuration class
initialization function (<a href="/docs/diffusers/v0.12.0/en/api/configuration#diffusers.ConfigMixin.from_config">from_config()</a>). Each key of <code>kwargs</code> that corresponds to
a configuration attribute will be used to override said attribute with the supplied <code>kwargs</code>
value. Remaining keys that do not correspond to any configuration attribute will be passed to the
underlying model&#x2019;s <code>__init__</code> function.</li>
</ul>`,name:"kwargs"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/modeling_flax_utils.py#L195"}}),xt=new Aa({props:{anchor:"diffusers.FlaxModelMixin.from_pretrained.example",$$slots:{default:[b_]},$$scope:{ctx:q}}}),rn=new D({props:{name:"save_pretrained",anchor:"diffusers.FlaxModelMixin.save_pretrained",parameters:[{name:"save_directory",val:": typing.Union[str, os.PathLike]"},{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"is_main_process",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Directory to which to save. Will be created if it doesn&#x2019;t exist.`,name:"save_directory"},{anchor:"diffusers.FlaxModelMixin.save_pretrained.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.save_pretrained.is_main_process",description:`<strong>is_main_process</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether the process calling this is the main process or not. Useful when in distributed training like
TPUs and need to call this function on all processes. In this case, set <code>is_main_process=True</code> only on
the main process to avoid race conditions.`,name:"is_main_process"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/modeling_flax_utils.py#L487"}}),ln=new D({props:{name:"to_bf16",anchor:"diffusers.FlaxModelMixin.to_bf16",parameters:[{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"mask",val:": typing.Any = None"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.to_bf16.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.to_bf16.mask",description:`<strong>mask</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> with same structure as the <code>params</code> tree. The leaves should be booleans, <code>True</code> for params
you want to cast, and should be <code>False</code> for those you want to skip.`,name:"mask"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/modeling_flax_utils.py#L87"}}),$t=new Aa({props:{anchor:"diffusers.FlaxModelMixin.to_bf16.example",$$slots:{default:[x_]},$$scope:{ctx:q}}}),dn=new D({props:{name:"to_fp16",anchor:"diffusers.FlaxModelMixin.to_fp16",parameters:[{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"mask",val:": typing.Any = None"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.to_fp16.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.to_fp16.mask",description:`<strong>mask</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> with same structure as the <code>params</code> tree. The leaves should be booleans, <code>True</code> for params
you want to cast, and should be <code>False</code> for those you want to skip`,name:"mask"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/modeling_flax_utils.py#L153"}}),wt=new Aa({props:{anchor:"diffusers.FlaxModelMixin.to_fp16.example",$$slots:{default:[y_]},$$scope:{ctx:q}}}),cn=new D({props:{name:"to_fp32",anchor:"diffusers.FlaxModelMixin.to_fp32",parameters:[{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"mask",val:": typing.Any = None"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.to_fp32.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.to_fp32.mask",description:`<strong>mask</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> with same structure as the <code>params</code> tree. The leaves should be booleans, <code>True</code> for params
you want to cast, and should be <code>False</code> for those you want to skip`,name:"mask"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/modeling_flax_utils.py#L126"}}),Dt=new Aa({props:{anchor:"diffusers.FlaxModelMixin.to_fp32.example",$$slots:{default:[$_]},$$scope:{ctx:q}}}),mn=new E({}),pn=new D({props:{name:"class diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput",anchor:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput",parameters:[{name:"sample",val:": ndarray"}],parametersDescription:[{anchor:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput.sample",description:`<strong>sample</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Hidden states conditioned on <code>encoder_hidden_states</code> input. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/unet_2d_condition_flax.py#L36"}}),fn=new D({props:{name:"replace",anchor:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/flax/struct.py#L109"}}),un=new E({}),hn=new D({props:{name:"class diffusers.FlaxUNet2DConditionModel",anchor:"diffusers.FlaxUNet2DConditionModel",parameters:[{name:"sample_size",val:": int = 32"},{name:"in_channels",val:": int = 4"},{name:"out_channels",val:": int = 4"},{name:"down_block_types",val:": typing.Tuple[str] = ('CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'DownBlock2D')"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D')"},{name:"only_cross_attention",val:": typing.Union[bool, typing.Tuple[bool]] = False"},{name:"block_out_channels",val:": typing.Tuple[int] = (320, 640, 1280, 1280)"},{name:"layers_per_block",val:": int = 2"},{name:"attention_head_dim",val:": typing.Union[int, typing.Tuple[int]] = 8"},{name:"cross_attention_dim",val:": int = 1280"},{name:"dropout",val:": float = 0.0"},{name:"use_linear_projection",val:": bool = False"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"freq_shift",val:": int = 0"},{name:"parent",val:": typing.Union[typing.Type[flax.linen.module.Module], typing.Type[flax.core.scope.Scope], typing.Type[flax.linen.module._Sentinel], NoneType] = <flax.linen.module._Sentinel object at 0x7f15b1bd0520>"},{name:"name",val:": str = None"}],parametersDescription:[{anchor:"diffusers.FlaxUNet2DConditionModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The size of the input sample.`,name:"sample_size"},{anchor:"diffusers.FlaxUNet2DConditionModel.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
The number of channels in the input sample.`,name:"in_channels"},{anchor:"diffusers.FlaxUNet2DConditionModel.out_channels",description:`<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
The number of channels in the output.`,name:"out_channels"},{anchor:"diffusers.FlaxUNet2DConditionModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;DownBlock2D&quot;)</code>) &#x2014;
The tuple of downsample blocks to use. The corresponding class names will be: &#x201C;FlaxCrossAttnDownBlock2D&#x201D;,
&#x201C;FlaxCrossAttnDownBlock2D&#x201D;, &#x201C;FlaxCrossAttnDownBlock2D&#x201D;, &#x201C;FlaxDownBlock2D&#x201D;`,name:"down_block_types"},{anchor:"diffusers.FlaxUNet2DConditionModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;UpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;,)</code>) &#x2014;
The tuple of upsample blocks to use. The corresponding class names will be: &#x201C;FlaxUpBlock2D&#x201D;,
&#x201C;FlaxCrossAttnUpBlock2D&#x201D;, &#x201C;FlaxCrossAttnUpBlock2D&#x201D;, &#x201C;FlaxCrossAttnUpBlock2D&#x201D;`,name:"up_block_types"},{anchor:"diffusers.FlaxUNet2DConditionModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to <code>(320, 640, 1280, 1280)</code>) &#x2014;
The tuple of output channels for each block.`,name:"block_out_channels"},{anchor:"diffusers.FlaxUNet2DConditionModel.layers_per_block",description:`<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The number of layers per block.`,name:"layers_per_block"},{anchor:"diffusers.FlaxUNet2DConditionModel.attention_head_dim",description:`<strong>attention_head_dim</strong> (<code>int</code> or <code>Tuple[int]</code>, <em>optional</em>, defaults to 8) &#x2014;
The dimension of the attention heads.`,name:"attention_head_dim"},{anchor:"diffusers.FlaxUNet2DConditionModel.cross_attention_dim",description:`<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
The dimension of the cross attention features.`,name:"cross_attention_dim"},{anchor:"diffusers.FlaxUNet2DConditionModel.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0) &#x2014;
Dropout probability for down, up and bottleneck blocks.`,name:"dropout"},{anchor:"diffusers.FlaxUNet2DConditionModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to flip the sin to cos in the time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.FlaxUNet2DConditionModel.freq_shift",description:"<strong>freq_shift</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014; The frequency shift to apply to the time embedding.",name:"freq_shift"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/unet_2d_condition_flax.py#L47"}}),wn=new E({}),Dn=new D({props:{name:"class diffusers.models.vae_flax.FlaxDecoderOutput",anchor:"diffusers.models.vae_flax.FlaxDecoderOutput",parameters:[{name:"sample",val:": ndarray"}],parametersDescription:[{anchor:"diffusers.models.vae_flax.FlaxDecoderOutput.sample",description:`<strong>sample</strong> (<em>jnp.ndarray</em> of shape <em>(batch_size, num_channels, height, width)</em>) &#x2014;
Decoded output sample of the model. Output of the last layer of the model.`,name:"sample"},{anchor:"diffusers.models.vae_flax.FlaxDecoderOutput.dtype",description:`<strong>dtype</strong> (<code>jnp.dtype</code>, <em>optional</em>, defaults to jnp.float32) &#x2014;
Parameters <em>dtype</em>`,name:"dtype"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/vae_flax.py#L33"}}),kn=new D({props:{name:"replace",anchor:"diffusers.models.vae_flax.FlaxDecoderOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/flax/struct.py#L109"}}),Mn=new E({}),Tn=new D({props:{name:"class diffusers.models.vae_flax.FlaxAutoencoderKLOutput",anchor:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput",parameters:[{name:"latent_dist",val:": FlaxDiagonalGaussianDistribution"}],parametersDescription:[{anchor:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput.latent_dist",description:`<strong>latent_dist</strong> (<code>FlaxDiagonalGaussianDistribution</code>) &#x2014;
Encoded outputs of <code>Encoder</code> represented as the mean and logvar of <code>FlaxDiagonalGaussianDistribution</code>.
<code>FlaxDiagonalGaussianDistribution</code> allows for sampling latents from the distribution.`,name:"latent_dist"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/vae_flax.py#L48"}}),En=new D({props:{name:"replace",anchor:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/flax/struct.py#L109"}}),Nn=new E({}),Un=new D({props:{name:"class diffusers.FlaxAutoencoderKL",anchor:"diffusers.FlaxAutoencoderKL",parameters:[{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownEncoderBlock2D',)"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpDecoderBlock2D',)"},{name:"block_out_channels",val:": typing.Tuple[int] = (64,)"},{name:"layers_per_block",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"latent_channels",val:": int = 4"},{name:"norm_num_groups",val:": int = 32"},{name:"sample_size",val:": int = 32"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"parent",val:": typing.Union[typing.Type[flax.linen.module.Module], typing.Type[flax.core.scope.Scope], typing.Type[flax.linen.module._Sentinel], NoneType] = <flax.linen.module._Sentinel object at 0x7f15b1bd0520>"},{name:"name",val:": str = None"}],parametersDescription:[{anchor:"diffusers.FlaxAutoencoderKL.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Input channels`,name:"in_channels"},{anchor:"diffusers.FlaxAutoencoderKL.out_channels",description:`<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Output channels`,name:"out_channels"},{anchor:"diffusers.FlaxAutoencoderKL.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <em>(DownEncoderBlock2D)</em>) &#x2014;
DownEncoder block type`,name:"down_block_types"},{anchor:"diffusers.FlaxAutoencoderKL.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <em>(UpDecoderBlock2D)</em>) &#x2014;
UpDecoder block type`,name:"up_block_types"},{anchor:"diffusers.FlaxAutoencoderKL.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <em>(64,)</em>) &#x2014;
Tuple containing the number of output channels for each block`,name:"block_out_channels"},{anchor:"diffusers.FlaxAutoencoderKL.layers_per_block",description:`<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to <em>2</em>) &#x2014;
Number of Resnet layer for each block`,name:"layers_per_block"},{anchor:"diffusers.FlaxAutoencoderKL.act_fn",description:`<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <em>silu</em>) &#x2014;
Activation function`,name:"act_fn"},{anchor:"diffusers.FlaxAutoencoderKL.latent_channels",description:`<strong>latent_channels</strong> (<code>int</code>, <em>optional</em>, defaults to <em>4</em>) &#x2014;
Latent space channels`,name:"latent_channels"},{anchor:"diffusers.FlaxAutoencoderKL.norm_num_groups",description:`<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to <em>32</em>) &#x2014;
Norm num group`,name:"norm_num_groups"},{anchor:"diffusers.FlaxAutoencoderKL.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to <em>32</em>) &#x2014;
Sample input size`,name:"sample_size"},{anchor:"diffusers.FlaxAutoencoderKL.dtype",description:`<strong>dtype</strong> (<code>jnp.dtype</code>, <em>optional</em>, defaults to jnp.float32) &#x2014;
parameters <em>dtype</em>`,name:"dtype"}],source:"https://github.com/huggingface/diffusers/blob/v0.12.0/src/diffusers/models/vae_flax.py#L721"}}),{c(){x=n("meta"),M=l(),w=n("h1"),y=n("a"),k=n("span"),u(f.$$.fragment),$=l(),R=n("span"),ye=a("Models"),S=l(),K=n("p"),In=a(`Diffusers contains pretrained models for popular algorithms and modules for creating the next set of diffusion models.
The primary function of these models is to denoise an input sample, by modeling the distribution $p`),hs=n("em"),$l=a("\\theta(\\mathbf{x}"),wl=a(`{t-1}|\\mathbf{x}_t)$.
The models are built on the base class [\u2018ModelMixin\u2019] that is a `),gs=n("code"),Dl=a("torch.nn.module"),kl=a(" with basic functionality for saving and loading models both locally and from the HuggingFace hub."),Pa=l(),$e=n("h2"),Ge=n("a"),_s=n("span"),u(Vt.$$.fragment),Ml=l(),vs=n("span"),Tl=a("ModelMixin"),Oa=l(),T=n("div"),u(Bt.$$.fragment),El=l(),bs=n("p"),Nl=a("Base class for all models."),Ul=l(),Vn=n("p"),Bn=n("a"),Al=a("ModelMixin"),Fl=a(` takes care of storing the configuration of the models and handles methods for loading, downloading
and saving models.`),Cl=l(),xs=n("ul"),le=n("li"),ys=n("strong"),Pl=a("config_name"),Ol=a(" ("),$s=n("code"),ql=a("str"),jl=a(`) \u2014 A filename under which the model should be stored when calling
`),zn=n("a"),Ll=a("save_pretrained()"),Il=a("."),Vl=l(),de=n("div"),u(zt.$$.fragment),Bl=l(),ws=n("p"),zl=a("Deactivates gradient checkpointing for the current model."),Sl=l(),Ds=n("p"),Kl=a(`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),Wl=l(),Re=n("div"),u(St.$$.fragment),Xl=l(),ks=n("p"),Ql=a("Disable memory efficient attention as implemented in xformers."),Hl=l(),ce=n("div"),u(Kt.$$.fragment),Yl=l(),Ms=n("p"),Gl=a("Activates gradient checkpointing for the current model."),Rl=l(),Ts=n("p"),Jl=a(`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),Zl=l(),V=n("div"),u(Wt.$$.fragment),ed=l(),Es=n("p"),td=a("Enable memory efficient attention as implemented in xformers."),od=l(),Ns=n("p"),nd=a(`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),sd=l(),Us=n("p"),rd=a(`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),ad=l(),u(Je.$$.fragment),id=l(),A=n("div"),u(Xt.$$.fragment),ld=l(),As=n("p"),dd=a("Instantiate a pretrained pytorch model from a pre-trained model configuration."),cd=l(),we=n("p"),md=a("The model is set in evaluation mode by default using "),Fs=n("code"),pd=a("model.eval()"),fd=a(` (Dropout modules are deactivated). To train
the model, you should first set it back in training mode with `),Cs=n("code"),ud=a("model.train()"),hd=a("."),gd=l(),Qt=n("p"),_d=a("The warning "),Ps=n("em"),vd=a("Weights from XXX not initialized from pretrained model"),bd=a(` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),xd=l(),Ht=n("p"),yd=a("The warning "),Os=n("em"),$d=a("Weights from XXX not used in YYY"),wd=a(` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),Dd=l(),u(Ze.$$.fragment),kd=l(),u(et.$$.fragment),Md=l(),tt=n("div"),u(Yt.$$.fragment),Td=l(),qs=n("p"),Ed=a("Get number of (optionally, trainable or non-embeddings) parameters in the module."),Nd=l(),ot=n("div"),u(Gt.$$.fragment),Ud=l(),Rt=n("p"),Ad=a(`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),js=n("code"),Fd=a("[from_pretrained()](/docs/diffusers/v0.12.0/en/api/models#diffusers.ModelMixin.from_pretrained)"),Cd=a(" class method."),qa=l(),De=n("h2"),nt=n("a"),Ls=n("span"),u(Jt.$$.fragment),Pd=l(),Is=n("span"),Od=a("UNet2DOutput"),ja=l(),Zt=n("div"),u(eo.$$.fragment),La=l(),ke=n("h2"),st=n("a"),Vs=n("span"),u(to.$$.fragment),qd=l(),Bs=n("span"),jd=a("UNet2DModel"),Ia=l(),W=n("div"),u(oo.$$.fragment),Ld=l(),zs=n("p"),Id=a("UNet2DModel is a 2D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),Vd=l(),no=n("p"),Bd=a("This model inherits from "),Sn=n("a"),zd=a("ModelMixin"),Sd=a(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Kd=l(),Kn=n("div"),u(so.$$.fragment),Va=l(),Me=n("h2"),rt=n("a"),Ss=n("span"),u(ro.$$.fragment),Wd=l(),Ks=n("span"),Xd=a("UNet1DOutput"),Ba=l(),ao=n("div"),u(io.$$.fragment),za=l(),Te=n("h2"),at=n("a"),Ws=n("span"),u(lo.$$.fragment),Qd=l(),Xs=n("span"),Hd=a("UNet1DModel"),Sa=l(),X=n("div"),u(co.$$.fragment),Yd=l(),Qs=n("p"),Gd=a("UNet1DModel is a 1D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),Rd=l(),mo=n("p"),Jd=a("This model inherits from "),Wn=n("a"),Zd=a("ModelMixin"),ec=a(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),tc=l(),Xn=n("div"),u(po.$$.fragment),Ka=l(),Ee=n("h2"),it=n("a"),Hs=n("span"),u(fo.$$.fragment),oc=l(),Ys=n("span"),nc=a("UNet2DConditionOutput"),Wa=l(),uo=n("div"),u(ho.$$.fragment),Xa=l(),Ne=n("h2"),lt=n("a"),Gs=n("span"),u(go.$$.fragment),sc=l(),Rs=n("span"),rc=a("UNet2DConditionModel"),Qa=l(),F=n("div"),u(_o.$$.fragment),ac=l(),Js=n("p"),ic=a(`UNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a timestep
and returns sample shaped output.`),lc=l(),vo=n("p"),dc=a("This model inherits from "),Qn=n("a"),cc=a("ModelMixin"),mc=a(`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),pc=l(),Hn=n("div"),u(bo.$$.fragment),fc=l(),me=n("div"),u(xo.$$.fragment),uc=l(),Zs=n("p"),hc=a("Enable sliced attention computation."),gc=l(),er=n("p"),_c=a(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),vc=l(),Yn=n("div"),u(yo.$$.fragment),Ha=l(),Ue=n("h2"),dt=n("a"),tr=n("span"),u($o.$$.fragment),bc=l(),or=n("span"),xc=a("DecoderOutput"),Ya=l(),Ae=n("div"),u(wo.$$.fragment),yc=l(),nr=n("p"),$c=a("Output of decoding method."),Ga=l(),Fe=n("h2"),ct=n("a"),sr=n("span"),u(Do.$$.fragment),wc=l(),rr=n("span"),Dc=a("VQEncoderOutput"),Ra=l(),Ce=n("div"),u(ko.$$.fragment),kc=l(),ar=n("p"),Mc=a("Output of VQModel encoding method."),Ja=l(),Pe=n("h2"),mt=n("a"),ir=n("span"),u(Mo.$$.fragment),Tc=l(),lr=n("span"),Ec=a("VQModel"),Za=l(),Q=n("div"),u(To.$$.fragment),Nc=l(),dr=n("p"),Uc=a(`VQ-VAE model from the paper Neural Discrete Representation Learning by Aaron van den Oord, Oriol Vinyals and Koray
Kavukcuoglu.`),Ac=l(),Eo=n("p"),Fc=a("This model inherits from "),Gn=n("a"),Cc=a("ModelMixin"),Pc=a(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Oc=l(),Rn=n("div"),u(No.$$.fragment),ei=l(),Oe=n("h2"),pt=n("a"),cr=n("span"),u(Uo.$$.fragment),qc=l(),mr=n("span"),jc=a("AutoencoderKLOutput"),ti=l(),qe=n("div"),u(Ao.$$.fragment),Lc=l(),pr=n("p"),Ic=a("Output of AutoencoderKL encoding method."),oi=l(),je=n("h2"),ft=n("a"),fr=n("span"),u(Fo.$$.fragment),Vc=l(),ur=n("span"),Bc=a("AutoencoderKL"),ni=l(),C=n("div"),u(Co.$$.fragment),zc=l(),hr=n("p"),Sc=a(`Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational Bayes by Diederik P. Kingma
and Max Welling.`),Kc=l(),Po=n("p"),Wc=a("This model inherits from "),Jn=n("a"),Xc=a("ModelMixin"),Qc=a(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Hc=l(),ut=n("div"),u(Oo.$$.fragment),Yc=l(),qo=n("p"),Gc=a("Disable sliced VAE decoding. If "),gr=n("code"),Rc=a("enable_slicing"),Jc=a(` was previously invoked, this method will go back to computing
decoding in one step.`),Zc=l(),pe=n("div"),u(jo.$$.fragment),em=l(),_r=n("p"),tm=a("Enable sliced VAE decoding."),om=l(),vr=n("p"),nm=a(`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),sm=l(),Zn=n("div"),u(Lo.$$.fragment),si=l(),Le=n("h2"),ht=n("a"),br=n("span"),u(Io.$$.fragment),rm=l(),xr=n("span"),am=a("Transformer2DModel"),ri=l(),P=n("div"),u(Vo.$$.fragment),im=l(),yr=n("p"),lm=a(`Transformer model for image-like data. Takes either discrete (classes of vector embeddings) or continuous (actual
embeddings) inputs.`),dm=l(),$r=n("p"),cm=a(`When input is continuous: First, project the input (aka embedding) and reshape to b, t, d. Then apply standard
transformer action. Finally, reshape to image.`),mm=l(),Bo=n("p"),pm=a(`When input is discrete: First, input (classes of latent pixels) is converted to embeddings and has positional
embeddings applied, see `),wr=n("code"),fm=a("ImagePositionalEmbeddings"),um=a(`. Then apply standard transformer action. Finally, predict
classes of unnoised image.`),hm=l(),Dr=n("p"),gm=a(`Note that it is assumed one of the input classes is the masked latent pixel. The predicted classes of the unnoised
image do not contain a prediction for the masked pixel as the unnoised image cannot be masked.`),_m=l(),es=n("div"),u(zo.$$.fragment),ai=l(),Ie=n("h2"),gt=n("a"),kr=n("span"),u(So.$$.fragment),vm=l(),Mr=n("span"),bm=a("Transformer2DModelOutput"),ii=l(),Ko=n("div"),u(Wo.$$.fragment),li=l(),Ve=n("h2"),_t=n("a"),Tr=n("span"),u(Xo.$$.fragment),xm=l(),Er=n("span"),ym=a("PriorTransformer"),di=l(),L=n("div"),u(Qo.$$.fragment),$m=l(),Nr=n("p"),wm=a(`The prior transformer from unCLIP is used to predict CLIP image embeddings from CLIP text embeddings. Note that the
transformer predicts the image embeddings through a denoising diffusion process.`),Dm=l(),Ho=n("p"),km=a("This model inherits from "),ts=n("a"),Mm=a("ModelMixin"),Tm=a(`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),Em=l(),os=n("p"),Nm=a("For more details, see the original paper: "),Yo=n("a"),Um=a("https://arxiv.org/abs/2204.06125"),Am=l(),ns=n("div"),u(Go.$$.fragment),ci=l(),Be=n("h2"),vt=n("a"),Ur=n("span"),u(Ro.$$.fragment),Fm=l(),Ar=n("span"),Cm=a("PriorTransformerOutput"),mi=l(),Jo=n("div"),u(Zo.$$.fragment),pi=l(),ze=n("h2"),bt=n("a"),Fr=n("span"),u(en.$$.fragment),Pm=l(),Cr=n("span"),Om=a("FlaxModelMixin"),fi=l(),U=n("div"),u(tn.$$.fragment),qm=l(),Pr=n("p"),jm=a("Base class for all flax models."),Lm=l(),ss=n("p"),rs=n("a"),Im=a("FlaxModelMixin"),Vm=a(` takes care of storing the configuration of the models and handles methods for loading,
downloading and saving models.`),Bm=l(),B=n("div"),u(on.$$.fragment),zm=l(),Or=n("p"),Sm=a("Instantiate a pretrained flax model from a pre-trained model configuration."),Km=l(),nn=n("p"),Wm=a("The warning "),qr=n("em"),Xm=a("Weights from XXX not initialized from pretrained model"),Qm=a(` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),Hm=l(),sn=n("p"),Ym=a("The warning "),jr=n("em"),Gm=a("Weights from XXX not used in YYY"),Rm=a(` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),Jm=l(),u(xt.$$.fragment),Zm=l(),yt=n("div"),u(rn.$$.fragment),ep=l(),an=n("p"),tp=a(`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),Lr=n("code"),op=a("[from_pretrained()](/docs/diffusers/v0.12.0/en/api/models#diffusers.FlaxModelMixin.from_pretrained)"),np=a(" class method"),sp=l(),J=n("div"),u(ln.$$.fragment),rp=l(),H=n("p"),ap=a("Cast the floating-point "),Ir=n("code"),ip=a("params"),lp=a(" to "),Vr=n("code"),dp=a("jax.numpy.bfloat16"),cp=a(". This returns a new "),Br=n("code"),mp=a("params"),pp=a(` tree and does not cast
the `),zr=n("code"),fp=a("params"),up=a(" in place."),hp=l(),Sr=n("p"),gp=a(`This method can be used on TPU to explicitly convert the model parameters to bfloat16 precision to do full
half-precision training or to save weights in bfloat16 for inference in order to save memory and improve speed.`),_p=l(),u($t.$$.fragment),vp=l(),Z=n("div"),u(dn.$$.fragment),bp=l(),Y=n("p"),xp=a("Cast the floating-point "),Kr=n("code"),yp=a("params"),$p=a(" to "),Wr=n("code"),wp=a("jax.numpy.float16"),Dp=a(". This returns a new "),Xr=n("code"),kp=a("params"),Mp=a(` tree and does not cast the
`),Qr=n("code"),Tp=a("params"),Ep=a(" in place."),Np=l(),Hr=n("p"),Up=a(`This method can be used on GPU to explicitly convert the model parameters to float16 precision to do full
half-precision training or to save weights in float16 for inference in order to save memory and improve speed.`),Ap=l(),u(wt.$$.fragment),Fp=l(),fe=n("div"),u(cn.$$.fragment),Cp=l(),G=n("p"),Pp=a("Cast the floating-point "),Yr=n("code"),Op=a("params"),qp=a(" to "),Gr=n("code"),jp=a("jax.numpy.float32"),Lp=a(`. This method can be used to explicitly convert the
model parameters to fp32 precision. This returns a new `),Rr=n("code"),Ip=a("params"),Vp=a(" tree and does not cast the "),Jr=n("code"),Bp=a("params"),zp=a(" in place."),Sp=l(),u(Dt.$$.fragment),ui=l(),Se=n("h2"),kt=n("a"),Zr=n("span"),u(mn.$$.fragment),Kp=l(),ea=n("span"),Wp=a("FlaxUNet2DConditionOutput"),hi=l(),Ke=n("div"),u(pn.$$.fragment),Xp=l(),Mt=n("div"),u(fn.$$.fragment),Qp=l(),ta=n("p"),Hp=a("\u201CReturns a new object replacing the specified fields with new values."),gi=l(),We=n("h2"),Tt=n("a"),oa=n("span"),u(un.$$.fragment),Yp=l(),na=n("span"),Gp=a("FlaxUNet2DConditionModel"),_i=l(),O=n("div"),u(hn.$$.fragment),Rp=l(),sa=n("p"),Jp=a(`FlaxUNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a
timestep and returns sample shaped output.`),Zp=l(),gn=n("p"),ef=a("This model inherits from "),as=n("a"),tf=a("FlaxModelMixin"),of=a(`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),nf=l(),_n=n("p"),sf=a("Also, this model is a Flax Linen "),vn=n("a"),rf=a("flax.linen.Module"),af=a(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),lf=l(),ra=n("p"),df=a("Finally, this model supports inherent JAX features such as:"),cf=l(),se=n("ul"),aa=n("li"),bn=n("a"),mf=a("Just-In-Time (JIT) compilation"),pf=l(),ia=n("li"),xn=n("a"),ff=a("Automatic Differentiation"),uf=l(),la=n("li"),yn=n("a"),hf=a("Vectorization"),gf=l(),da=n("li"),$n=n("a"),_f=a("Parallelization"),vi=l(),Xe=n("h2"),Et=n("a"),ca=n("span"),u(wn.$$.fragment),vf=l(),ma=n("span"),bf=a("FlaxDecoderOutput"),bi=l(),re=n("div"),u(Dn.$$.fragment),xf=l(),pa=n("p"),yf=a("Output of decoding method."),$f=l(),Nt=n("div"),u(kn.$$.fragment),wf=l(),fa=n("p"),Df=a("\u201CReturns a new object replacing the specified fields with new values."),xi=l(),Qe=n("h2"),Ut=n("a"),ua=n("span"),u(Mn.$$.fragment),kf=l(),ha=n("span"),Mf=a("FlaxAutoencoderKLOutput"),yi=l(),ae=n("div"),u(Tn.$$.fragment),Tf=l(),ga=n("p"),Ef=a("Output of AutoencoderKL encoding method."),Nf=l(),At=n("div"),u(En.$$.fragment),Uf=l(),_a=n("p"),Af=a("\u201CReturns a new object replacing the specified fields with new values."),$i=l(),He=n("h2"),Ft=n("a"),va=n("span"),u(Nn.$$.fragment),Ff=l(),ba=n("span"),Cf=a("FlaxAutoencoderKL"),wi=l(),I=n("div"),u(Un.$$.fragment),Pf=l(),xa=n("p"),Of=a(`Flax Implementation of Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational
Bayes by Diederik P. Kingma and Max Welling.`),qf=l(),An=n("p"),jf=a("This model is a Flax Linen "),Fn=n("a"),Lf=a("flax.linen.Module"),If=a(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Vf=l(),ya=n("p"),Bf=a("Finally, this model supports inherent JAX features such as:"),zf=l(),ie=n("ul"),$a=n("li"),Cn=n("a"),Sf=a("Just-In-Time (JIT) compilation"),Kf=l(),wa=n("li"),Pn=n("a"),Wf=a("Automatic Differentiation"),Xf=l(),Da=n("li"),On=n("a"),Qf=a("Vectorization"),Hf=l(),ka=n("li"),qn=n("a"),Yf=a("Parallelization"),this.h()},l(t){const m=u_('[data-svelte="svelte-1phssyn"]',document.head);x=s(m,"META",{name:!0,content:!0}),m.forEach(o),M=d(t),w=s(t,"H1",{class:!0});var jn=r(w);y=s(jn,"A",{id:!0,class:!0,href:!0});var Ma=r(y);k=s(Ma,"SPAN",{});var Ta=r(k);h(f.$$.fragment,Ta),Ta.forEach(o),Ma.forEach(o),$=d(jn),R=s(jn,"SPAN",{});var Ea=r(R);ye=i(Ea,"Models"),Ea.forEach(o),jn.forEach(o),S=d(t),K=s(t,"P",{});var Ye=r(K);In=i(Ye,`Diffusers contains pretrained models for popular algorithms and modules for creating the next set of diffusion models.
The primary function of these models is to denoise an input sample, by modeling the distribution $p`),hs=s(Ye,"EM",{});var Na=r(hs);$l=i(Na,"\\theta(\\mathbf{x}"),Na.forEach(o),wl=i(Ye,`{t-1}|\\mathbf{x}_t)$.
The models are built on the base class [\u2018ModelMixin\u2019] that is a `),gs=s(Ye,"CODE",{});var Ua=r(gs);Dl=i(Ua,"torch.nn.module"),Ua.forEach(o),kl=i(Ye," with basic functionality for saving and loading models both locally and from the HuggingFace hub."),Ye.forEach(o),Pa=d(t),$e=s(t,"H2",{class:!0});var ki=r($e);Ge=s(ki,"A",{id:!0,class:!0,href:!0});var Zf=r(Ge);_s=s(Zf,"SPAN",{});var eu=r(_s);h(Vt.$$.fragment,eu),eu.forEach(o),Zf.forEach(o),Ml=d(ki),vs=s(ki,"SPAN",{});var tu=r(vs);Tl=i(tu,"ModelMixin"),tu.forEach(o),ki.forEach(o),Oa=d(t),T=s(t,"DIV",{class:!0});var N=r(T);h(Bt.$$.fragment,N),El=d(N),bs=s(N,"P",{});var ou=r(bs);Nl=i(ou,"Base class for all models."),ou.forEach(o),Ul=d(N),Vn=s(N,"P",{});var Gf=r(Vn);Bn=s(Gf,"A",{href:!0});var nu=r(Bn);Al=i(nu,"ModelMixin"),nu.forEach(o),Fl=i(Gf,` takes care of storing the configuration of the models and handles methods for loading, downloading
and saving models.`),Gf.forEach(o),Cl=d(N),xs=s(N,"UL",{});var su=r(xs);le=s(su,"LI",{});var Ln=r(le);ys=s(Ln,"STRONG",{});var ru=r(ys);Pl=i(ru,"config_name"),ru.forEach(o),Ol=i(Ln," ("),$s=s(Ln,"CODE",{});var au=r($s);ql=i(au,"str"),au.forEach(o),jl=i(Ln,`) \u2014 A filename under which the model should be stored when calling
`),zn=s(Ln,"A",{href:!0});var iu=r(zn);Ll=i(iu,"save_pretrained()"),iu.forEach(o),Il=i(Ln,"."),Ln.forEach(o),su.forEach(o),Vl=d(N),de=s(N,"DIV",{class:!0});var is=r(de);h(zt.$$.fragment,is),Bl=d(is),ws=s(is,"P",{});var lu=r(ws);zl=i(lu,"Deactivates gradient checkpointing for the current model."),lu.forEach(o),Sl=d(is),Ds=s(is,"P",{});var du=r(Ds);Kl=i(du,`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),du.forEach(o),is.forEach(o),Wl=d(N),Re=s(N,"DIV",{class:!0});var Mi=r(Re);h(St.$$.fragment,Mi),Xl=d(Mi),ks=s(Mi,"P",{});var cu=r(ks);Ql=i(cu,"Disable memory efficient attention as implemented in xformers."),cu.forEach(o),Mi.forEach(o),Hl=d(N),ce=s(N,"DIV",{class:!0});var ls=r(ce);h(Kt.$$.fragment,ls),Yl=d(ls),Ms=s(ls,"P",{});var mu=r(Ms);Gl=i(mu,"Activates gradient checkpointing for the current model."),mu.forEach(o),Rl=d(ls),Ts=s(ls,"P",{});var pu=r(Ts);Jl=i(pu,`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),pu.forEach(o),ls.forEach(o),Zl=d(N),V=s(N,"DIV",{class:!0});var ue=r(V);h(Wt.$$.fragment,ue),ed=d(ue),Es=s(ue,"P",{});var fu=r(Es);td=i(fu,"Enable memory efficient attention as implemented in xformers."),fu.forEach(o),od=d(ue),Ns=s(ue,"P",{});var uu=r(Ns);nd=i(uu,`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),uu.forEach(o),sd=d(ue),Us=s(ue,"P",{});var hu=r(Us);rd=i(hu,`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),hu.forEach(o),ad=d(ue),h(Je.$$.fragment,ue),ue.forEach(o),id=d(N),A=s(N,"DIV",{class:!0});var z=r(A);h(Xt.$$.fragment,z),ld=d(z),As=s(z,"P",{});var gu=r(As);dd=i(gu,"Instantiate a pretrained pytorch model from a pre-trained model configuration."),gu.forEach(o),cd=d(z),we=s(z,"P",{});var ds=r(we);md=i(ds,"The model is set in evaluation mode by default using "),Fs=s(ds,"CODE",{});var _u=r(Fs);pd=i(_u,"model.eval()"),_u.forEach(o),fd=i(ds,` (Dropout modules are deactivated). To train
the model, you should first set it back in training mode with `),Cs=s(ds,"CODE",{});var vu=r(Cs);ud=i(vu,"model.train()"),vu.forEach(o),hd=i(ds,"."),ds.forEach(o),gd=d(z),Qt=s(z,"P",{});var Ti=r(Qt);_d=i(Ti,"The warning "),Ps=s(Ti,"EM",{});var bu=r(Ps);vd=i(bu,"Weights from XXX not initialized from pretrained model"),bu.forEach(o),bd=i(Ti,` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),Ti.forEach(o),xd=d(z),Ht=s(z,"P",{});var Ei=r(Ht);yd=i(Ei,"The warning "),Os=s(Ei,"EM",{});var xu=r(Os);$d=i(xu,"Weights from XXX not used in YYY"),xu.forEach(o),wd=i(Ei,` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),Ei.forEach(o),Dd=d(z),h(Ze.$$.fragment,z),kd=d(z),h(et.$$.fragment,z),z.forEach(o),Md=d(N),tt=s(N,"DIV",{class:!0});var Ni=r(tt);h(Yt.$$.fragment,Ni),Td=d(Ni),qs=s(Ni,"P",{});var yu=r(qs);Ed=i(yu,"Get number of (optionally, trainable or non-embeddings) parameters in the module."),yu.forEach(o),Ni.forEach(o),Nd=d(N),ot=s(N,"DIV",{class:!0});var Ui=r(ot);h(Gt.$$.fragment,Ui),Ud=d(Ui),Rt=s(Ui,"P",{});var Ai=r(Rt);Ad=i(Ai,`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),js=s(Ai,"CODE",{});var $u=r(js);Fd=i($u,"[from_pretrained()](/docs/diffusers/v0.12.0/en/api/models#diffusers.ModelMixin.from_pretrained)"),$u.forEach(o),Cd=i(Ai," class method."),Ai.forEach(o),Ui.forEach(o),N.forEach(o),qa=d(t),De=s(t,"H2",{class:!0});var Fi=r(De);nt=s(Fi,"A",{id:!0,class:!0,href:!0});var wu=r(nt);Ls=s(wu,"SPAN",{});var Du=r(Ls);h(Jt.$$.fragment,Du),Du.forEach(o),wu.forEach(o),Pd=d(Fi),Is=s(Fi,"SPAN",{});var ku=r(Is);Od=i(ku,"UNet2DOutput"),ku.forEach(o),Fi.forEach(o),ja=d(t),Zt=s(t,"DIV",{class:!0});var Mu=r(Zt);h(eo.$$.fragment,Mu),Mu.forEach(o),La=d(t),ke=s(t,"H2",{class:!0});var Ci=r(ke);st=s(Ci,"A",{id:!0,class:!0,href:!0});var Tu=r(st);Vs=s(Tu,"SPAN",{});var Eu=r(Vs);h(to.$$.fragment,Eu),Eu.forEach(o),Tu.forEach(o),qd=d(Ci),Bs=s(Ci,"SPAN",{});var Nu=r(Bs);jd=i(Nu,"UNet2DModel"),Nu.forEach(o),Ci.forEach(o),Ia=d(t),W=s(t,"DIV",{class:!0});var Ct=r(W);h(oo.$$.fragment,Ct),Ld=d(Ct),zs=s(Ct,"P",{});var Uu=r(zs);Id=i(Uu,"UNet2DModel is a 2D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),Uu.forEach(o),Vd=d(Ct),no=s(Ct,"P",{});var Pi=r(no);Bd=i(Pi,"This model inherits from "),Sn=s(Pi,"A",{href:!0});var Au=r(Sn);zd=i(Au,"ModelMixin"),Au.forEach(o),Sd=i(Pi,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Pi.forEach(o),Kd=d(Ct),Kn=s(Ct,"DIV",{class:!0});var Fu=r(Kn);h(so.$$.fragment,Fu),Fu.forEach(o),Ct.forEach(o),Va=d(t),Me=s(t,"H2",{class:!0});var Oi=r(Me);rt=s(Oi,"A",{id:!0,class:!0,href:!0});var Cu=r(rt);Ss=s(Cu,"SPAN",{});var Pu=r(Ss);h(ro.$$.fragment,Pu),Pu.forEach(o),Cu.forEach(o),Wd=d(Oi),Ks=s(Oi,"SPAN",{});var Ou=r(Ks);Xd=i(Ou,"UNet1DOutput"),Ou.forEach(o),Oi.forEach(o),Ba=d(t),ao=s(t,"DIV",{class:!0});var qu=r(ao);h(io.$$.fragment,qu),qu.forEach(o),za=d(t),Te=s(t,"H2",{class:!0});var qi=r(Te);at=s(qi,"A",{id:!0,class:!0,href:!0});var ju=r(at);Ws=s(ju,"SPAN",{});var Lu=r(Ws);h(lo.$$.fragment,Lu),Lu.forEach(o),ju.forEach(o),Qd=d(qi),Xs=s(qi,"SPAN",{});var Iu=r(Xs);Hd=i(Iu,"UNet1DModel"),Iu.forEach(o),qi.forEach(o),Sa=d(t),X=s(t,"DIV",{class:!0});var Pt=r(X);h(co.$$.fragment,Pt),Yd=d(Pt),Qs=s(Pt,"P",{});var Vu=r(Qs);Gd=i(Vu,"UNet1DModel is a 1D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),Vu.forEach(o),Rd=d(Pt),mo=s(Pt,"P",{});var ji=r(mo);Jd=i(ji,"This model inherits from "),Wn=s(ji,"A",{href:!0});var Bu=r(Wn);Zd=i(Bu,"ModelMixin"),Bu.forEach(o),ec=i(ji,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),ji.forEach(o),tc=d(Pt),Xn=s(Pt,"DIV",{class:!0});var zu=r(Xn);h(po.$$.fragment,zu),zu.forEach(o),Pt.forEach(o),Ka=d(t),Ee=s(t,"H2",{class:!0});var Li=r(Ee);it=s(Li,"A",{id:!0,class:!0,href:!0});var Su=r(it);Hs=s(Su,"SPAN",{});var Ku=r(Hs);h(fo.$$.fragment,Ku),Ku.forEach(o),Su.forEach(o),oc=d(Li),Ys=s(Li,"SPAN",{});var Wu=r(Ys);nc=i(Wu,"UNet2DConditionOutput"),Wu.forEach(o),Li.forEach(o),Wa=d(t),uo=s(t,"DIV",{class:!0});var Xu=r(uo);h(ho.$$.fragment,Xu),Xu.forEach(o),Xa=d(t),Ne=s(t,"H2",{class:!0});var Ii=r(Ne);lt=s(Ii,"A",{id:!0,class:!0,href:!0});var Qu=r(lt);Gs=s(Qu,"SPAN",{});var Hu=r(Gs);h(go.$$.fragment,Hu),Hu.forEach(o),Qu.forEach(o),sc=d(Ii),Rs=s(Ii,"SPAN",{});var Yu=r(Rs);rc=i(Yu,"UNet2DConditionModel"),Yu.forEach(o),Ii.forEach(o),Qa=d(t),F=s(t,"DIV",{class:!0});var ee=r(F);h(_o.$$.fragment,ee),ac=d(ee),Js=s(ee,"P",{});var Gu=r(Js);ic=i(Gu,`UNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a timestep
and returns sample shaped output.`),Gu.forEach(o),lc=d(ee),vo=s(ee,"P",{});var Vi=r(vo);dc=i(Vi,"This model inherits from "),Qn=s(Vi,"A",{href:!0});var Ru=r(Qn);cc=i(Ru,"ModelMixin"),Ru.forEach(o),mc=i(Vi,`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),Vi.forEach(o),pc=d(ee),Hn=s(ee,"DIV",{class:!0});var Ju=r(Hn);h(bo.$$.fragment,Ju),Ju.forEach(o),fc=d(ee),me=s(ee,"DIV",{class:!0});var cs=r(me);h(xo.$$.fragment,cs),uc=d(cs),Zs=s(cs,"P",{});var Zu=r(Zs);hc=i(Zu,"Enable sliced attention computation."),Zu.forEach(o),gc=d(cs),er=s(cs,"P",{});var eh=r(er);_c=i(eh,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),eh.forEach(o),cs.forEach(o),vc=d(ee),Yn=s(ee,"DIV",{class:!0});var th=r(Yn);h(yo.$$.fragment,th),th.forEach(o),ee.forEach(o),Ha=d(t),Ue=s(t,"H2",{class:!0});var Bi=r(Ue);dt=s(Bi,"A",{id:!0,class:!0,href:!0});var oh=r(dt);tr=s(oh,"SPAN",{});var nh=r(tr);h($o.$$.fragment,nh),nh.forEach(o),oh.forEach(o),bc=d(Bi),or=s(Bi,"SPAN",{});var sh=r(or);xc=i(sh,"DecoderOutput"),sh.forEach(o),Bi.forEach(o),Ya=d(t),Ae=s(t,"DIV",{class:!0});var zi=r(Ae);h(wo.$$.fragment,zi),yc=d(zi),nr=s(zi,"P",{});var rh=r(nr);$c=i(rh,"Output of decoding method."),rh.forEach(o),zi.forEach(o),Ga=d(t),Fe=s(t,"H2",{class:!0});var Si=r(Fe);ct=s(Si,"A",{id:!0,class:!0,href:!0});var ah=r(ct);sr=s(ah,"SPAN",{});var ih=r(sr);h(Do.$$.fragment,ih),ih.forEach(o),ah.forEach(o),wc=d(Si),rr=s(Si,"SPAN",{});var lh=r(rr);Dc=i(lh,"VQEncoderOutput"),lh.forEach(o),Si.forEach(o),Ra=d(t),Ce=s(t,"DIV",{class:!0});var Ki=r(Ce);h(ko.$$.fragment,Ki),kc=d(Ki),ar=s(Ki,"P",{});var dh=r(ar);Mc=i(dh,"Output of VQModel encoding method."),dh.forEach(o),Ki.forEach(o),Ja=d(t),Pe=s(t,"H2",{class:!0});var Wi=r(Pe);mt=s(Wi,"A",{id:!0,class:!0,href:!0});var ch=r(mt);ir=s(ch,"SPAN",{});var mh=r(ir);h(Mo.$$.fragment,mh),mh.forEach(o),ch.forEach(o),Tc=d(Wi),lr=s(Wi,"SPAN",{});var ph=r(lr);Ec=i(ph,"VQModel"),ph.forEach(o),Wi.forEach(o),Za=d(t),Q=s(t,"DIV",{class:!0});var Ot=r(Q);h(To.$$.fragment,Ot),Nc=d(Ot),dr=s(Ot,"P",{});var fh=r(dr);Uc=i(fh,`VQ-VAE model from the paper Neural Discrete Representation Learning by Aaron van den Oord, Oriol Vinyals and Koray
Kavukcuoglu.`),fh.forEach(o),Ac=d(Ot),Eo=s(Ot,"P",{});var Xi=r(Eo);Fc=i(Xi,"This model inherits from "),Gn=s(Xi,"A",{href:!0});var uh=r(Gn);Cc=i(uh,"ModelMixin"),uh.forEach(o),Pc=i(Xi,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Xi.forEach(o),Oc=d(Ot),Rn=s(Ot,"DIV",{class:!0});var hh=r(Rn);h(No.$$.fragment,hh),hh.forEach(o),Ot.forEach(o),ei=d(t),Oe=s(t,"H2",{class:!0});var Qi=r(Oe);pt=s(Qi,"A",{id:!0,class:!0,href:!0});var gh=r(pt);cr=s(gh,"SPAN",{});var _h=r(cr);h(Uo.$$.fragment,_h),_h.forEach(o),gh.forEach(o),qc=d(Qi),mr=s(Qi,"SPAN",{});var vh=r(mr);jc=i(vh,"AutoencoderKLOutput"),vh.forEach(o),Qi.forEach(o),ti=d(t),qe=s(t,"DIV",{class:!0});var Hi=r(qe);h(Ao.$$.fragment,Hi),Lc=d(Hi),pr=s(Hi,"P",{});var bh=r(pr);Ic=i(bh,"Output of AutoencoderKL encoding method."),bh.forEach(o),Hi.forEach(o),oi=d(t),je=s(t,"H2",{class:!0});var Yi=r(je);ft=s(Yi,"A",{id:!0,class:!0,href:!0});var xh=r(ft);fr=s(xh,"SPAN",{});var yh=r(fr);h(Fo.$$.fragment,yh),yh.forEach(o),xh.forEach(o),Vc=d(Yi),ur=s(Yi,"SPAN",{});var $h=r(ur);Bc=i($h,"AutoencoderKL"),$h.forEach(o),Yi.forEach(o),ni=d(t),C=s(t,"DIV",{class:!0});var te=r(C);h(Co.$$.fragment,te),zc=d(te),hr=s(te,"P",{});var wh=r(hr);Sc=i(wh,`Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational Bayes by Diederik P. Kingma
and Max Welling.`),wh.forEach(o),Kc=d(te),Po=s(te,"P",{});var Gi=r(Po);Wc=i(Gi,"This model inherits from "),Jn=s(Gi,"A",{href:!0});var Dh=r(Jn);Xc=i(Dh,"ModelMixin"),Dh.forEach(o),Qc=i(Gi,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Gi.forEach(o),Hc=d(te),ut=s(te,"DIV",{class:!0});var Ri=r(ut);h(Oo.$$.fragment,Ri),Yc=d(Ri),qo=s(Ri,"P",{});var Ji=r(qo);Gc=i(Ji,"Disable sliced VAE decoding. If "),gr=s(Ji,"CODE",{});var kh=r(gr);Rc=i(kh,"enable_slicing"),kh.forEach(o),Jc=i(Ji,` was previously invoked, this method will go back to computing
decoding in one step.`),Ji.forEach(o),Ri.forEach(o),Zc=d(te),pe=s(te,"DIV",{class:!0});var ms=r(pe);h(jo.$$.fragment,ms),em=d(ms),_r=s(ms,"P",{});var Mh=r(_r);tm=i(Mh,"Enable sliced VAE decoding."),Mh.forEach(o),om=d(ms),vr=s(ms,"P",{});var Th=r(vr);nm=i(Th,`When this option is enabled, the VAE will split the input tensor in slices to compute decoding in several
steps. This is useful to save some memory and allow larger batch sizes.`),Th.forEach(o),ms.forEach(o),sm=d(te),Zn=s(te,"DIV",{class:!0});var Eh=r(Zn);h(Lo.$$.fragment,Eh),Eh.forEach(o),te.forEach(o),si=d(t),Le=s(t,"H2",{class:!0});var Zi=r(Le);ht=s(Zi,"A",{id:!0,class:!0,href:!0});var Nh=r(ht);br=s(Nh,"SPAN",{});var Uh=r(br);h(Io.$$.fragment,Uh),Uh.forEach(o),Nh.forEach(o),rm=d(Zi),xr=s(Zi,"SPAN",{});var Ah=r(xr);am=i(Ah,"Transformer2DModel"),Ah.forEach(o),Zi.forEach(o),ri=d(t),P=s(t,"DIV",{class:!0});var oe=r(P);h(Vo.$$.fragment,oe),im=d(oe),yr=s(oe,"P",{});var Fh=r(yr);lm=i(Fh,`Transformer model for image-like data. Takes either discrete (classes of vector embeddings) or continuous (actual
embeddings) inputs.`),Fh.forEach(o),dm=d(oe),$r=s(oe,"P",{});var Ch=r($r);cm=i(Ch,`When input is continuous: First, project the input (aka embedding) and reshape to b, t, d. Then apply standard
transformer action. Finally, reshape to image.`),Ch.forEach(o),mm=d(oe),Bo=s(oe,"P",{});var el=r(Bo);pm=i(el,`When input is discrete: First, input (classes of latent pixels) is converted to embeddings and has positional
embeddings applied, see `),wr=s(el,"CODE",{});var Ph=r(wr);fm=i(Ph,"ImagePositionalEmbeddings"),Ph.forEach(o),um=i(el,`. Then apply standard transformer action. Finally, predict
classes of unnoised image.`),el.forEach(o),hm=d(oe),Dr=s(oe,"P",{});var Oh=r(Dr);gm=i(Oh,`Note that it is assumed one of the input classes is the masked latent pixel. The predicted classes of the unnoised
image do not contain a prediction for the masked pixel as the unnoised image cannot be masked.`),Oh.forEach(o),_m=d(oe),es=s(oe,"DIV",{class:!0});var qh=r(es);h(zo.$$.fragment,qh),qh.forEach(o),oe.forEach(o),ai=d(t),Ie=s(t,"H2",{class:!0});var tl=r(Ie);gt=s(tl,"A",{id:!0,class:!0,href:!0});var jh=r(gt);kr=s(jh,"SPAN",{});var Lh=r(kr);h(So.$$.fragment,Lh),Lh.forEach(o),jh.forEach(o),vm=d(tl),Mr=s(tl,"SPAN",{});var Ih=r(Mr);bm=i(Ih,"Transformer2DModelOutput"),Ih.forEach(o),tl.forEach(o),ii=d(t),Ko=s(t,"DIV",{class:!0});var Vh=r(Ko);h(Wo.$$.fragment,Vh),Vh.forEach(o),li=d(t),Ve=s(t,"H2",{class:!0});var ol=r(Ve);_t=s(ol,"A",{id:!0,class:!0,href:!0});var Bh=r(_t);Tr=s(Bh,"SPAN",{});var zh=r(Tr);h(Xo.$$.fragment,zh),zh.forEach(o),Bh.forEach(o),xm=d(ol),Er=s(ol,"SPAN",{});var Sh=r(Er);ym=i(Sh,"PriorTransformer"),Sh.forEach(o),ol.forEach(o),di=d(t),L=s(t,"DIV",{class:!0});var he=r(L);h(Qo.$$.fragment,he),$m=d(he),Nr=s(he,"P",{});var Kh=r(Nr);wm=i(Kh,`The prior transformer from unCLIP is used to predict CLIP image embeddings from CLIP text embeddings. Note that the
transformer predicts the image embeddings through a denoising diffusion process.`),Kh.forEach(o),Dm=d(he),Ho=s(he,"P",{});var nl=r(Ho);km=i(nl,"This model inherits from "),ts=s(nl,"A",{href:!0});var Wh=r(ts);Mm=i(Wh,"ModelMixin"),Wh.forEach(o),Tm=i(nl,`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),nl.forEach(o),Em=d(he),os=s(he,"P",{});var Rf=r(os);Nm=i(Rf,"For more details, see the original paper: "),Yo=s(Rf,"A",{href:!0,rel:!0});var Xh=r(Yo);Um=i(Xh,"https://arxiv.org/abs/2204.06125"),Xh.forEach(o),Rf.forEach(o),Am=d(he),ns=s(he,"DIV",{class:!0});var Qh=r(ns);h(Go.$$.fragment,Qh),Qh.forEach(o),he.forEach(o),ci=d(t),Be=s(t,"H2",{class:!0});var sl=r(Be);vt=s(sl,"A",{id:!0,class:!0,href:!0});var Hh=r(vt);Ur=s(Hh,"SPAN",{});var Yh=r(Ur);h(Ro.$$.fragment,Yh),Yh.forEach(o),Hh.forEach(o),Fm=d(sl),Ar=s(sl,"SPAN",{});var Gh=r(Ar);Cm=i(Gh,"PriorTransformerOutput"),Gh.forEach(o),sl.forEach(o),mi=d(t),Jo=s(t,"DIV",{class:!0});var Rh=r(Jo);h(Zo.$$.fragment,Rh),Rh.forEach(o),pi=d(t),ze=s(t,"H2",{class:!0});var rl=r(ze);bt=s(rl,"A",{id:!0,class:!0,href:!0});var Jh=r(bt);Fr=s(Jh,"SPAN",{});var Zh=r(Fr);h(en.$$.fragment,Zh),Zh.forEach(o),Jh.forEach(o),Pm=d(rl),Cr=s(rl,"SPAN",{});var eg=r(Cr);Om=i(eg,"FlaxModelMixin"),eg.forEach(o),rl.forEach(o),fi=d(t),U=s(t,"DIV",{class:!0});var j=r(U);h(tn.$$.fragment,j),qm=d(j),Pr=s(j,"P",{});var tg=r(Pr);jm=i(tg,"Base class for all flax models."),tg.forEach(o),Lm=d(j),ss=s(j,"P",{});var Jf=r(ss);rs=s(Jf,"A",{href:!0});var og=r(rs);Im=i(og,"FlaxModelMixin"),og.forEach(o),Vm=i(Jf,` takes care of storing the configuration of the models and handles methods for loading,
downloading and saving models.`),Jf.forEach(o),Bm=d(j),B=s(j,"DIV",{class:!0});var ge=r(B);h(on.$$.fragment,ge),zm=d(ge),Or=s(ge,"P",{});var ng=r(Or);Sm=i(ng,"Instantiate a pretrained flax model from a pre-trained model configuration."),ng.forEach(o),Km=d(ge),nn=s(ge,"P",{});var al=r(nn);Wm=i(al,"The warning "),qr=s(al,"EM",{});var sg=r(qr);Xm=i(sg,"Weights from XXX not initialized from pretrained model"),sg.forEach(o),Qm=i(al,` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),al.forEach(o),Hm=d(ge),sn=s(ge,"P",{});var il=r(sn);Ym=i(il,"The warning "),jr=s(il,"EM",{});var rg=r(jr);Gm=i(rg,"Weights from XXX not used in YYY"),rg.forEach(o),Rm=i(il,` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),il.forEach(o),Jm=d(ge),h(xt.$$.fragment,ge),ge.forEach(o),Zm=d(j),yt=s(j,"DIV",{class:!0});var ll=r(yt);h(rn.$$.fragment,ll),ep=d(ll),an=s(ll,"P",{});var dl=r(an);tp=i(dl,`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),Lr=s(dl,"CODE",{});var ag=r(Lr);op=i(ag,"[from_pretrained()](/docs/diffusers/v0.12.0/en/api/models#diffusers.FlaxModelMixin.from_pretrained)"),ag.forEach(o),np=i(dl," class method"),dl.forEach(o),ll.forEach(o),sp=d(j),J=s(j,"DIV",{class:!0});var qt=r(J);h(ln.$$.fragment,qt),rp=d(qt),H=s(qt,"P",{});var _e=r(H);ap=i(_e,"Cast the floating-point "),Ir=s(_e,"CODE",{});var ig=r(Ir);ip=i(ig,"params"),ig.forEach(o),lp=i(_e," to "),Vr=s(_e,"CODE",{});var lg=r(Vr);dp=i(lg,"jax.numpy.bfloat16"),lg.forEach(o),cp=i(_e,". This returns a new "),Br=s(_e,"CODE",{});var dg=r(Br);mp=i(dg,"params"),dg.forEach(o),pp=i(_e,` tree and does not cast
the `),zr=s(_e,"CODE",{});var cg=r(zr);fp=i(cg,"params"),cg.forEach(o),up=i(_e," in place."),_e.forEach(o),hp=d(qt),Sr=s(qt,"P",{});var mg=r(Sr);gp=i(mg,`This method can be used on TPU to explicitly convert the model parameters to bfloat16 precision to do full
half-precision training or to save weights in bfloat16 for inference in order to save memory and improve speed.`),mg.forEach(o),_p=d(qt),h($t.$$.fragment,qt),qt.forEach(o),vp=d(j),Z=s(j,"DIV",{class:!0});var jt=r(Z);h(dn.$$.fragment,jt),bp=d(jt),Y=s(jt,"P",{});var ve=r(Y);xp=i(ve,"Cast the floating-point "),Kr=s(ve,"CODE",{});var pg=r(Kr);yp=i(pg,"params"),pg.forEach(o),$p=i(ve," to "),Wr=s(ve,"CODE",{});var fg=r(Wr);wp=i(fg,"jax.numpy.float16"),fg.forEach(o),Dp=i(ve,". This returns a new "),Xr=s(ve,"CODE",{});var ug=r(Xr);kp=i(ug,"params"),ug.forEach(o),Mp=i(ve,` tree and does not cast the
`),Qr=s(ve,"CODE",{});var hg=r(Qr);Tp=i(hg,"params"),hg.forEach(o),Ep=i(ve," in place."),ve.forEach(o),Np=d(jt),Hr=s(jt,"P",{});var gg=r(Hr);Up=i(gg,`This method can be used on GPU to explicitly convert the model parameters to float16 precision to do full
half-precision training or to save weights in float16 for inference in order to save memory and improve speed.`),gg.forEach(o),Ap=d(jt),h(wt.$$.fragment,jt),jt.forEach(o),Fp=d(j),fe=s(j,"DIV",{class:!0});var ps=r(fe);h(cn.$$.fragment,ps),Cp=d(ps),G=s(ps,"P",{});var be=r(G);Pp=i(be,"Cast the floating-point "),Yr=s(be,"CODE",{});var _g=r(Yr);Op=i(_g,"params"),_g.forEach(o),qp=i(be," to "),Gr=s(be,"CODE",{});var vg=r(Gr);jp=i(vg,"jax.numpy.float32"),vg.forEach(o),Lp=i(be,`. This method can be used to explicitly convert the
model parameters to fp32 precision. This returns a new `),Rr=s(be,"CODE",{});var bg=r(Rr);Ip=i(bg,"params"),bg.forEach(o),Vp=i(be," tree and does not cast the "),Jr=s(be,"CODE",{});var xg=r(Jr);Bp=i(xg,"params"),xg.forEach(o),zp=i(be," in place."),be.forEach(o),Sp=d(ps),h(Dt.$$.fragment,ps),ps.forEach(o),j.forEach(o),ui=d(t),Se=s(t,"H2",{class:!0});var cl=r(Se);kt=s(cl,"A",{id:!0,class:!0,href:!0});var yg=r(kt);Zr=s(yg,"SPAN",{});var $g=r(Zr);h(mn.$$.fragment,$g),$g.forEach(o),yg.forEach(o),Kp=d(cl),ea=s(cl,"SPAN",{});var wg=r(ea);Wp=i(wg,"FlaxUNet2DConditionOutput"),wg.forEach(o),cl.forEach(o),hi=d(t),Ke=s(t,"DIV",{class:!0});var ml=r(Ke);h(pn.$$.fragment,ml),Xp=d(ml),Mt=s(ml,"DIV",{class:!0});var pl=r(Mt);h(fn.$$.fragment,pl),Qp=d(pl),ta=s(pl,"P",{});var Dg=r(ta);Hp=i(Dg,"\u201CReturns a new object replacing the specified fields with new values."),Dg.forEach(o),pl.forEach(o),ml.forEach(o),gi=d(t),We=s(t,"H2",{class:!0});var fl=r(We);Tt=s(fl,"A",{id:!0,class:!0,href:!0});var kg=r(Tt);oa=s(kg,"SPAN",{});var Mg=r(oa);h(un.$$.fragment,Mg),Mg.forEach(o),kg.forEach(o),Yp=d(fl),na=s(fl,"SPAN",{});var Tg=r(na);Gp=i(Tg,"FlaxUNet2DConditionModel"),Tg.forEach(o),fl.forEach(o),_i=d(t),O=s(t,"DIV",{class:!0});var ne=r(O);h(hn.$$.fragment,ne),Rp=d(ne),sa=s(ne,"P",{});var Eg=r(sa);Jp=i(Eg,`FlaxUNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a
timestep and returns sample shaped output.`),Eg.forEach(o),Zp=d(ne),gn=s(ne,"P",{});var ul=r(gn);ef=i(ul,"This model inherits from "),as=s(ul,"A",{href:!0});var Ng=r(as);tf=i(Ng,"FlaxModelMixin"),Ng.forEach(o),of=i(ul,`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),ul.forEach(o),nf=d(ne),_n=s(ne,"P",{});var hl=r(_n);sf=i(hl,"Also, this model is a Flax Linen "),vn=s(hl,"A",{href:!0,rel:!0});var Ug=r(vn);rf=i(Ug,"flax.linen.Module"),Ug.forEach(o),af=i(hl,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),hl.forEach(o),lf=d(ne),ra=s(ne,"P",{});var Ag=r(ra);df=i(Ag,"Finally, this model supports inherent JAX features such as:"),Ag.forEach(o),cf=d(ne),se=s(ne,"UL",{});var Lt=r(se);aa=s(Lt,"LI",{});var Fg=r(aa);bn=s(Fg,"A",{href:!0,rel:!0});var Cg=r(bn);mf=i(Cg,"Just-In-Time (JIT) compilation"),Cg.forEach(o),Fg.forEach(o),pf=d(Lt),ia=s(Lt,"LI",{});var Pg=r(ia);xn=s(Pg,"A",{href:!0,rel:!0});var Og=r(xn);ff=i(Og,"Automatic Differentiation"),Og.forEach(o),Pg.forEach(o),uf=d(Lt),la=s(Lt,"LI",{});var qg=r(la);yn=s(qg,"A",{href:!0,rel:!0});var jg=r(yn);hf=i(jg,"Vectorization"),jg.forEach(o),qg.forEach(o),gf=d(Lt),da=s(Lt,"LI",{});var Lg=r(da);$n=s(Lg,"A",{href:!0,rel:!0});var Ig=r($n);_f=i(Ig,"Parallelization"),Ig.forEach(o),Lg.forEach(o),Lt.forEach(o),ne.forEach(o),vi=d(t),Xe=s(t,"H2",{class:!0});var gl=r(Xe);Et=s(gl,"A",{id:!0,class:!0,href:!0});var Vg=r(Et);ca=s(Vg,"SPAN",{});var Bg=r(ca);h(wn.$$.fragment,Bg),Bg.forEach(o),Vg.forEach(o),vf=d(gl),ma=s(gl,"SPAN",{});var zg=r(ma);bf=i(zg,"FlaxDecoderOutput"),zg.forEach(o),gl.forEach(o),bi=d(t),re=s(t,"DIV",{class:!0});var fs=r(re);h(Dn.$$.fragment,fs),xf=d(fs),pa=s(fs,"P",{});var Sg=r(pa);yf=i(Sg,"Output of decoding method."),Sg.forEach(o),$f=d(fs),Nt=s(fs,"DIV",{class:!0});var _l=r(Nt);h(kn.$$.fragment,_l),wf=d(_l),fa=s(_l,"P",{});var Kg=r(fa);Df=i(Kg,"\u201CReturns a new object replacing the specified fields with new values."),Kg.forEach(o),_l.forEach(o),fs.forEach(o),xi=d(t),Qe=s(t,"H2",{class:!0});var vl=r(Qe);Ut=s(vl,"A",{id:!0,class:!0,href:!0});var Wg=r(Ut);ua=s(Wg,"SPAN",{});var Xg=r(ua);h(Mn.$$.fragment,Xg),Xg.forEach(o),Wg.forEach(o),kf=d(vl),ha=s(vl,"SPAN",{});var Qg=r(ha);Mf=i(Qg,"FlaxAutoencoderKLOutput"),Qg.forEach(o),vl.forEach(o),yi=d(t),ae=s(t,"DIV",{class:!0});var us=r(ae);h(Tn.$$.fragment,us),Tf=d(us),ga=s(us,"P",{});var Hg=r(ga);Ef=i(Hg,"Output of AutoencoderKL encoding method."),Hg.forEach(o),Nf=d(us),At=s(us,"DIV",{class:!0});var bl=r(At);h(En.$$.fragment,bl),Uf=d(bl),_a=s(bl,"P",{});var Yg=r(_a);Af=i(Yg,"\u201CReturns a new object replacing the specified fields with new values."),Yg.forEach(o),bl.forEach(o),us.forEach(o),$i=d(t),He=s(t,"H2",{class:!0});var xl=r(He);Ft=s(xl,"A",{id:!0,class:!0,href:!0});var Gg=r(Ft);va=s(Gg,"SPAN",{});var Rg=r(va);h(Nn.$$.fragment,Rg),Rg.forEach(o),Gg.forEach(o),Ff=d(xl),ba=s(xl,"SPAN",{});var Jg=r(ba);Cf=i(Jg,"FlaxAutoencoderKL"),Jg.forEach(o),xl.forEach(o),wi=d(t),I=s(t,"DIV",{class:!0});var xe=r(I);h(Un.$$.fragment,xe),Pf=d(xe),xa=s(xe,"P",{});var Zg=r(xa);Of=i(Zg,`Flax Implementation of Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational
Bayes by Diederik P. Kingma and Max Welling.`),Zg.forEach(o),qf=d(xe),An=s(xe,"P",{});var yl=r(An);jf=i(yl,"This model is a Flax Linen "),Fn=s(yl,"A",{href:!0,rel:!0});var e_=r(Fn);Lf=i(e_,"flax.linen.Module"),e_.forEach(o),If=i(yl,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),yl.forEach(o),Vf=d(xe),ya=s(xe,"P",{});var t_=r(ya);Bf=i(t_,"Finally, this model supports inherent JAX features such as:"),t_.forEach(o),zf=d(xe),ie=s(xe,"UL",{});var It=r(ie);$a=s(It,"LI",{});var o_=r($a);Cn=s(o_,"A",{href:!0,rel:!0});var n_=r(Cn);Sf=i(n_,"Just-In-Time (JIT) compilation"),n_.forEach(o),o_.forEach(o),Kf=d(It),wa=s(It,"LI",{});var s_=r(wa);Pn=s(s_,"A",{href:!0,rel:!0});var r_=r(Pn);Wf=i(r_,"Automatic Differentiation"),r_.forEach(o),s_.forEach(o),Xf=d(It),Da=s(It,"LI",{});var a_=r(Da);On=s(a_,"A",{href:!0,rel:!0});var i_=r(On);Qf=i(i_,"Vectorization"),i_.forEach(o),a_.forEach(o),Hf=d(It),ka=s(It,"LI",{});var l_=r(ka);qn=s(l_,"A",{href:!0,rel:!0});var d_=r(qn);Yf=i(d_,"Parallelization"),d_.forEach(o),l_.forEach(o),It.forEach(o),xe.forEach(o),this.h()},h(){c(x,"name","hf:doc:metadata"),c(x,"content",JSON.stringify(D_)),c(y,"id","models"),c(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(y,"href","#models"),c(w,"class","relative group"),c(Ge,"id","diffusers.ModelMixin"),c(Ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ge,"href","#diffusers.ModelMixin"),c($e,"class","relative group"),c(Bn,"href","/docs/diffusers/v0.12.0/en/api/models#diffusers.ModelMixin"),c(zn,"href","/docs/diffusers/v0.12.0/en/api/models#diffusers.ModelMixin.save_pretrained"),c(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(nt,"id","diffusers.models.unet_2d.UNet2DOutput"),c(nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(nt,"href","#diffusers.models.unet_2d.UNet2DOutput"),c(De,"class","relative group"),c(Zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(st,"id","diffusers.UNet2DModel"),c(st,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(st,"href","#diffusers.UNet2DModel"),c(ke,"class","relative group"),c(Sn,"href","/docs/diffusers/v0.12.0/en/api/models#diffusers.ModelMixin"),c(Kn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(rt,"id","diffusers.models.unet_1d.UNet1DOutput"),c(rt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(rt,"href","#diffusers.models.unet_1d.UNet1DOutput"),c(Me,"class","relative group"),c(ao,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(at,"id","diffusers.UNet1DModel"),c(at,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(at,"href","#diffusers.UNet1DModel"),c(Te,"class","relative group"),c(Wn,"href","/docs/diffusers/v0.12.0/en/api/models#diffusers.ModelMixin"),c(Xn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(it,"id","diffusers.models.unet_2d_condition.UNet2DConditionOutput"),c(it,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(it,"href","#diffusers.models.unet_2d_condition.UNet2DConditionOutput"),c(Ee,"class","relative group"),c(uo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(lt,"id","diffusers.UNet2DConditionModel"),c(lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(lt,"href","#diffusers.UNet2DConditionModel"),c(Ne,"class","relative group"),c(Qn,"href","/docs/diffusers/v0.12.0/en/api/models#diffusers.ModelMixin"),c(Hn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Yn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(dt,"id","diffusers.models.vae.DecoderOutput"),c(dt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(dt,"href","#diffusers.models.vae.DecoderOutput"),c(Ue,"class","relative group"),c(Ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ct,"id","diffusers.models.vq_model.VQEncoderOutput"),c(ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ct,"href","#diffusers.models.vq_model.VQEncoderOutput"),c(Fe,"class","relative group"),c(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(mt,"id","diffusers.VQModel"),c(mt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(mt,"href","#diffusers.VQModel"),c(Pe,"class","relative group"),c(Gn,"href","/docs/diffusers/v0.12.0/en/api/models#diffusers.ModelMixin"),c(Rn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(pt,"id","diffusers.models.autoencoder_kl.AutoencoderKLOutput"),c(pt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(pt,"href","#diffusers.models.autoencoder_kl.AutoencoderKLOutput"),c(Oe,"class","relative group"),c(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ft,"id","diffusers.AutoencoderKL"),c(ft,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ft,"href","#diffusers.AutoencoderKL"),c(je,"class","relative group"),c(Jn,"href","/docs/diffusers/v0.12.0/en/api/models#diffusers.ModelMixin"),c(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Zn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ht,"id","diffusers.Transformer2DModel"),c(ht,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ht,"href","#diffusers.Transformer2DModel"),c(Le,"class","relative group"),c(es,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(gt,"id","diffusers.models.transformer_2d.Transformer2DModelOutput"),c(gt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(gt,"href","#diffusers.models.transformer_2d.Transformer2DModelOutput"),c(Ie,"class","relative group"),c(Ko,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_t,"id","diffusers.PriorTransformer"),c(_t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(_t,"href","#diffusers.PriorTransformer"),c(Ve,"class","relative group"),c(ts,"href","/docs/diffusers/v0.12.0/en/api/models#diffusers.ModelMixin"),c(Yo,"href","https://arxiv.org/abs/2204.06125"),c(Yo,"rel","nofollow"),c(ns,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(vt,"id","diffusers.models.prior_transformer.PriorTransformerOutput"),c(vt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(vt,"href","#diffusers.models.prior_transformer.PriorTransformerOutput"),c(Be,"class","relative group"),c(Jo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(bt,"id","diffusers.FlaxModelMixin"),c(bt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(bt,"href","#diffusers.FlaxModelMixin"),c(ze,"class","relative group"),c(rs,"href","/docs/diffusers/v0.12.0/en/api/models#diffusers.FlaxModelMixin"),c(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(kt,"id","diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput"),c(kt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(kt,"href","#diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput"),c(Se,"class","relative group"),c(Mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Tt,"id","diffusers.FlaxUNet2DConditionModel"),c(Tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Tt,"href","#diffusers.FlaxUNet2DConditionModel"),c(We,"class","relative group"),c(as,"href","/docs/diffusers/v0.12.0/en/api/models#diffusers.FlaxModelMixin"),c(vn,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(vn,"rel","nofollow"),c(bn,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(bn,"rel","nofollow"),c(xn,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(xn,"rel","nofollow"),c(yn,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(yn,"rel","nofollow"),c($n,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c($n,"rel","nofollow"),c(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Et,"id","diffusers.models.vae_flax.FlaxDecoderOutput"),c(Et,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Et,"href","#diffusers.models.vae_flax.FlaxDecoderOutput"),c(Xe,"class","relative group"),c(Nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ut,"id","diffusers.models.vae_flax.FlaxAutoencoderKLOutput"),c(Ut,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ut,"href","#diffusers.models.vae_flax.FlaxAutoencoderKLOutput"),c(Qe,"class","relative group"),c(At,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ft,"id","diffusers.FlaxAutoencoderKL"),c(Ft,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ft,"href","#diffusers.FlaxAutoencoderKL"),c(He,"class","relative group"),c(Fn,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(Fn,"rel","nofollow"),c(Cn,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Cn,"rel","nofollow"),c(Pn,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Pn,"rel","nofollow"),c(On,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(On,"rel","nofollow"),c(qn,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(qn,"rel","nofollow"),c(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,m){e(document.head,x),p(t,M,m),p(t,w,m),e(w,y),e(y,k),g(f,k,null),e(w,$),e(w,R),e(R,ye),p(t,S,m),p(t,K,m),e(K,In),e(K,hs),e(hs,$l),e(K,wl),e(K,gs),e(gs,Dl),e(K,kl),p(t,Pa,m),p(t,$e,m),e($e,Ge),e(Ge,_s),g(Vt,_s,null),e($e,Ml),e($e,vs),e(vs,Tl),p(t,Oa,m),p(t,T,m),g(Bt,T,null),e(T,El),e(T,bs),e(bs,Nl),e(T,Ul),e(T,Vn),e(Vn,Bn),e(Bn,Al),e(Vn,Fl),e(T,Cl),e(T,xs),e(xs,le),e(le,ys),e(ys,Pl),e(le,Ol),e(le,$s),e($s,ql),e(le,jl),e(le,zn),e(zn,Ll),e(le,Il),e(T,Vl),e(T,de),g(zt,de,null),e(de,Bl),e(de,ws),e(ws,zl),e(de,Sl),e(de,Ds),e(Ds,Kl),e(T,Wl),e(T,Re),g(St,Re,null),e(Re,Xl),e(Re,ks),e(ks,Ql),e(T,Hl),e(T,ce),g(Kt,ce,null),e(ce,Yl),e(ce,Ms),e(Ms,Gl),e(ce,Rl),e(ce,Ts),e(Ts,Jl),e(T,Zl),e(T,V),g(Wt,V,null),e(V,ed),e(V,Es),e(Es,td),e(V,od),e(V,Ns),e(Ns,nd),e(V,sd),e(V,Us),e(Us,rd),e(V,ad),g(Je,V,null),e(T,id),e(T,A),g(Xt,A,null),e(A,ld),e(A,As),e(As,dd),e(A,cd),e(A,we),e(we,md),e(we,Fs),e(Fs,pd),e(we,fd),e(we,Cs),e(Cs,ud),e(we,hd),e(A,gd),e(A,Qt),e(Qt,_d),e(Qt,Ps),e(Ps,vd),e(Qt,bd),e(A,xd),e(A,Ht),e(Ht,yd),e(Ht,Os),e(Os,$d),e(Ht,wd),e(A,Dd),g(Ze,A,null),e(A,kd),g(et,A,null),e(T,Md),e(T,tt),g(Yt,tt,null),e(tt,Td),e(tt,qs),e(qs,Ed),e(T,Nd),e(T,ot),g(Gt,ot,null),e(ot,Ud),e(ot,Rt),e(Rt,Ad),e(Rt,js),e(js,Fd),e(Rt,Cd),p(t,qa,m),p(t,De,m),e(De,nt),e(nt,Ls),g(Jt,Ls,null),e(De,Pd),e(De,Is),e(Is,Od),p(t,ja,m),p(t,Zt,m),g(eo,Zt,null),p(t,La,m),p(t,ke,m),e(ke,st),e(st,Vs),g(to,Vs,null),e(ke,qd),e(ke,Bs),e(Bs,jd),p(t,Ia,m),p(t,W,m),g(oo,W,null),e(W,Ld),e(W,zs),e(zs,Id),e(W,Vd),e(W,no),e(no,Bd),e(no,Sn),e(Sn,zd),e(no,Sd),e(W,Kd),e(W,Kn),g(so,Kn,null),p(t,Va,m),p(t,Me,m),e(Me,rt),e(rt,Ss),g(ro,Ss,null),e(Me,Wd),e(Me,Ks),e(Ks,Xd),p(t,Ba,m),p(t,ao,m),g(io,ao,null),p(t,za,m),p(t,Te,m),e(Te,at),e(at,Ws),g(lo,Ws,null),e(Te,Qd),e(Te,Xs),e(Xs,Hd),p(t,Sa,m),p(t,X,m),g(co,X,null),e(X,Yd),e(X,Qs),e(Qs,Gd),e(X,Rd),e(X,mo),e(mo,Jd),e(mo,Wn),e(Wn,Zd),e(mo,ec),e(X,tc),e(X,Xn),g(po,Xn,null),p(t,Ka,m),p(t,Ee,m),e(Ee,it),e(it,Hs),g(fo,Hs,null),e(Ee,oc),e(Ee,Ys),e(Ys,nc),p(t,Wa,m),p(t,uo,m),g(ho,uo,null),p(t,Xa,m),p(t,Ne,m),e(Ne,lt),e(lt,Gs),g(go,Gs,null),e(Ne,sc),e(Ne,Rs),e(Rs,rc),p(t,Qa,m),p(t,F,m),g(_o,F,null),e(F,ac),e(F,Js),e(Js,ic),e(F,lc),e(F,vo),e(vo,dc),e(vo,Qn),e(Qn,cc),e(vo,mc),e(F,pc),e(F,Hn),g(bo,Hn,null),e(F,fc),e(F,me),g(xo,me,null),e(me,uc),e(me,Zs),e(Zs,hc),e(me,gc),e(me,er),e(er,_c),e(F,vc),e(F,Yn),g(yo,Yn,null),p(t,Ha,m),p(t,Ue,m),e(Ue,dt),e(dt,tr),g($o,tr,null),e(Ue,bc),e(Ue,or),e(or,xc),p(t,Ya,m),p(t,Ae,m),g(wo,Ae,null),e(Ae,yc),e(Ae,nr),e(nr,$c),p(t,Ga,m),p(t,Fe,m),e(Fe,ct),e(ct,sr),g(Do,sr,null),e(Fe,wc),e(Fe,rr),e(rr,Dc),p(t,Ra,m),p(t,Ce,m),g(ko,Ce,null),e(Ce,kc),e(Ce,ar),e(ar,Mc),p(t,Ja,m),p(t,Pe,m),e(Pe,mt),e(mt,ir),g(Mo,ir,null),e(Pe,Tc),e(Pe,lr),e(lr,Ec),p(t,Za,m),p(t,Q,m),g(To,Q,null),e(Q,Nc),e(Q,dr),e(dr,Uc),e(Q,Ac),e(Q,Eo),e(Eo,Fc),e(Eo,Gn),e(Gn,Cc),e(Eo,Pc),e(Q,Oc),e(Q,Rn),g(No,Rn,null),p(t,ei,m),p(t,Oe,m),e(Oe,pt),e(pt,cr),g(Uo,cr,null),e(Oe,qc),e(Oe,mr),e(mr,jc),p(t,ti,m),p(t,qe,m),g(Ao,qe,null),e(qe,Lc),e(qe,pr),e(pr,Ic),p(t,oi,m),p(t,je,m),e(je,ft),e(ft,fr),g(Fo,fr,null),e(je,Vc),e(je,ur),e(ur,Bc),p(t,ni,m),p(t,C,m),g(Co,C,null),e(C,zc),e(C,hr),e(hr,Sc),e(C,Kc),e(C,Po),e(Po,Wc),e(Po,Jn),e(Jn,Xc),e(Po,Qc),e(C,Hc),e(C,ut),g(Oo,ut,null),e(ut,Yc),e(ut,qo),e(qo,Gc),e(qo,gr),e(gr,Rc),e(qo,Jc),e(C,Zc),e(C,pe),g(jo,pe,null),e(pe,em),e(pe,_r),e(_r,tm),e(pe,om),e(pe,vr),e(vr,nm),e(C,sm),e(C,Zn),g(Lo,Zn,null),p(t,si,m),p(t,Le,m),e(Le,ht),e(ht,br),g(Io,br,null),e(Le,rm),e(Le,xr),e(xr,am),p(t,ri,m),p(t,P,m),g(Vo,P,null),e(P,im),e(P,yr),e(yr,lm),e(P,dm),e(P,$r),e($r,cm),e(P,mm),e(P,Bo),e(Bo,pm),e(Bo,wr),e(wr,fm),e(Bo,um),e(P,hm),e(P,Dr),e(Dr,gm),e(P,_m),e(P,es),g(zo,es,null),p(t,ai,m),p(t,Ie,m),e(Ie,gt),e(gt,kr),g(So,kr,null),e(Ie,vm),e(Ie,Mr),e(Mr,bm),p(t,ii,m),p(t,Ko,m),g(Wo,Ko,null),p(t,li,m),p(t,Ve,m),e(Ve,_t),e(_t,Tr),g(Xo,Tr,null),e(Ve,xm),e(Ve,Er),e(Er,ym),p(t,di,m),p(t,L,m),g(Qo,L,null),e(L,$m),e(L,Nr),e(Nr,wm),e(L,Dm),e(L,Ho),e(Ho,km),e(Ho,ts),e(ts,Mm),e(Ho,Tm),e(L,Em),e(L,os),e(os,Nm),e(os,Yo),e(Yo,Um),e(L,Am),e(L,ns),g(Go,ns,null),p(t,ci,m),p(t,Be,m),e(Be,vt),e(vt,Ur),g(Ro,Ur,null),e(Be,Fm),e(Be,Ar),e(Ar,Cm),p(t,mi,m),p(t,Jo,m),g(Zo,Jo,null),p(t,pi,m),p(t,ze,m),e(ze,bt),e(bt,Fr),g(en,Fr,null),e(ze,Pm),e(ze,Cr),e(Cr,Om),p(t,fi,m),p(t,U,m),g(tn,U,null),e(U,qm),e(U,Pr),e(Pr,jm),e(U,Lm),e(U,ss),e(ss,rs),e(rs,Im),e(ss,Vm),e(U,Bm),e(U,B),g(on,B,null),e(B,zm),e(B,Or),e(Or,Sm),e(B,Km),e(B,nn),e(nn,Wm),e(nn,qr),e(qr,Xm),e(nn,Qm),e(B,Hm),e(B,sn),e(sn,Ym),e(sn,jr),e(jr,Gm),e(sn,Rm),e(B,Jm),g(xt,B,null),e(U,Zm),e(U,yt),g(rn,yt,null),e(yt,ep),e(yt,an),e(an,tp),e(an,Lr),e(Lr,op),e(an,np),e(U,sp),e(U,J),g(ln,J,null),e(J,rp),e(J,H),e(H,ap),e(H,Ir),e(Ir,ip),e(H,lp),e(H,Vr),e(Vr,dp),e(H,cp),e(H,Br),e(Br,mp),e(H,pp),e(H,zr),e(zr,fp),e(H,up),e(J,hp),e(J,Sr),e(Sr,gp),e(J,_p),g($t,J,null),e(U,vp),e(U,Z),g(dn,Z,null),e(Z,bp),e(Z,Y),e(Y,xp),e(Y,Kr),e(Kr,yp),e(Y,$p),e(Y,Wr),e(Wr,wp),e(Y,Dp),e(Y,Xr),e(Xr,kp),e(Y,Mp),e(Y,Qr),e(Qr,Tp),e(Y,Ep),e(Z,Np),e(Z,Hr),e(Hr,Up),e(Z,Ap),g(wt,Z,null),e(U,Fp),e(U,fe),g(cn,fe,null),e(fe,Cp),e(fe,G),e(G,Pp),e(G,Yr),e(Yr,Op),e(G,qp),e(G,Gr),e(Gr,jp),e(G,Lp),e(G,Rr),e(Rr,Ip),e(G,Vp),e(G,Jr),e(Jr,Bp),e(G,zp),e(fe,Sp),g(Dt,fe,null),p(t,ui,m),p(t,Se,m),e(Se,kt),e(kt,Zr),g(mn,Zr,null),e(Se,Kp),e(Se,ea),e(ea,Wp),p(t,hi,m),p(t,Ke,m),g(pn,Ke,null),e(Ke,Xp),e(Ke,Mt),g(fn,Mt,null),e(Mt,Qp),e(Mt,ta),e(ta,Hp),p(t,gi,m),p(t,We,m),e(We,Tt),e(Tt,oa),g(un,oa,null),e(We,Yp),e(We,na),e(na,Gp),p(t,_i,m),p(t,O,m),g(hn,O,null),e(O,Rp),e(O,sa),e(sa,Jp),e(O,Zp),e(O,gn),e(gn,ef),e(gn,as),e(as,tf),e(gn,of),e(O,nf),e(O,_n),e(_n,sf),e(_n,vn),e(vn,rf),e(_n,af),e(O,lf),e(O,ra),e(ra,df),e(O,cf),e(O,se),e(se,aa),e(aa,bn),e(bn,mf),e(se,pf),e(se,ia),e(ia,xn),e(xn,ff),e(se,uf),e(se,la),e(la,yn),e(yn,hf),e(se,gf),e(se,da),e(da,$n),e($n,_f),p(t,vi,m),p(t,Xe,m),e(Xe,Et),e(Et,ca),g(wn,ca,null),e(Xe,vf),e(Xe,ma),e(ma,bf),p(t,bi,m),p(t,re,m),g(Dn,re,null),e(re,xf),e(re,pa),e(pa,yf),e(re,$f),e(re,Nt),g(kn,Nt,null),e(Nt,wf),e(Nt,fa),e(fa,Df),p(t,xi,m),p(t,Qe,m),e(Qe,Ut),e(Ut,ua),g(Mn,ua,null),e(Qe,kf),e(Qe,ha),e(ha,Mf),p(t,yi,m),p(t,ae,m),g(Tn,ae,null),e(ae,Tf),e(ae,ga),e(ga,Ef),e(ae,Nf),e(ae,At),g(En,At,null),e(At,Uf),e(At,_a),e(_a,Af),p(t,$i,m),p(t,He,m),e(He,Ft),e(Ft,va),g(Nn,va,null),e(He,Ff),e(He,ba),e(ba,Cf),p(t,wi,m),p(t,I,m),g(Un,I,null),e(I,Pf),e(I,xa),e(xa,Of),e(I,qf),e(I,An),e(An,jf),e(An,Fn),e(Fn,Lf),e(An,If),e(I,Vf),e(I,ya),e(ya,Bf),e(I,zf),e(I,ie),e(ie,$a),e($a,Cn),e(Cn,Sf),e(ie,Kf),e(ie,wa),e(wa,Pn),e(Pn,Wf),e(ie,Xf),e(ie,Da),e(Da,On),e(On,Qf),e(ie,Hf),e(ie,ka),e(ka,qn),e(qn,Yf),Di=!0},p(t,[m]){const jn={};m&2&&(jn.$$scope={dirty:m,ctx:t}),Je.$set(jn);const Ma={};m&2&&(Ma.$$scope={dirty:m,ctx:t}),Ze.$set(Ma);const Ta={};m&2&&(Ta.$$scope={dirty:m,ctx:t}),et.$set(Ta);const Ea={};m&2&&(Ea.$$scope={dirty:m,ctx:t}),xt.$set(Ea);const Ye={};m&2&&(Ye.$$scope={dirty:m,ctx:t}),$t.$set(Ye);const Na={};m&2&&(Na.$$scope={dirty:m,ctx:t}),wt.$set(Na);const Ua={};m&2&&(Ua.$$scope={dirty:m,ctx:t}),Dt.$set(Ua)},i(t){Di||(_(f.$$.fragment,t),_(Vt.$$.fragment,t),_(Bt.$$.fragment,t),_(zt.$$.fragment,t),_(St.$$.fragment,t),_(Kt.$$.fragment,t),_(Wt.$$.fragment,t),_(Je.$$.fragment,t),_(Xt.$$.fragment,t),_(Ze.$$.fragment,t),_(et.$$.fragment,t),_(Yt.$$.fragment,t),_(Gt.$$.fragment,t),_(Jt.$$.fragment,t),_(eo.$$.fragment,t),_(to.$$.fragment,t),_(oo.$$.fragment,t),_(so.$$.fragment,t),_(ro.$$.fragment,t),_(io.$$.fragment,t),_(lo.$$.fragment,t),_(co.$$.fragment,t),_(po.$$.fragment,t),_(fo.$$.fragment,t),_(ho.$$.fragment,t),_(go.$$.fragment,t),_(_o.$$.fragment,t),_(bo.$$.fragment,t),_(xo.$$.fragment,t),_(yo.$$.fragment,t),_($o.$$.fragment,t),_(wo.$$.fragment,t),_(Do.$$.fragment,t),_(ko.$$.fragment,t),_(Mo.$$.fragment,t),_(To.$$.fragment,t),_(No.$$.fragment,t),_(Uo.$$.fragment,t),_(Ao.$$.fragment,t),_(Fo.$$.fragment,t),_(Co.$$.fragment,t),_(Oo.$$.fragment,t),_(jo.$$.fragment,t),_(Lo.$$.fragment,t),_(Io.$$.fragment,t),_(Vo.$$.fragment,t),_(zo.$$.fragment,t),_(So.$$.fragment,t),_(Wo.$$.fragment,t),_(Xo.$$.fragment,t),_(Qo.$$.fragment,t),_(Go.$$.fragment,t),_(Ro.$$.fragment,t),_(Zo.$$.fragment,t),_(en.$$.fragment,t),_(tn.$$.fragment,t),_(on.$$.fragment,t),_(xt.$$.fragment,t),_(rn.$$.fragment,t),_(ln.$$.fragment,t),_($t.$$.fragment,t),_(dn.$$.fragment,t),_(wt.$$.fragment,t),_(cn.$$.fragment,t),_(Dt.$$.fragment,t),_(mn.$$.fragment,t),_(pn.$$.fragment,t),_(fn.$$.fragment,t),_(un.$$.fragment,t),_(hn.$$.fragment,t),_(wn.$$.fragment,t),_(Dn.$$.fragment,t),_(kn.$$.fragment,t),_(Mn.$$.fragment,t),_(Tn.$$.fragment,t),_(En.$$.fragment,t),_(Nn.$$.fragment,t),_(Un.$$.fragment,t),Di=!0)},o(t){v(f.$$.fragment,t),v(Vt.$$.fragment,t),v(Bt.$$.fragment,t),v(zt.$$.fragment,t),v(St.$$.fragment,t),v(Kt.$$.fragment,t),v(Wt.$$.fragment,t),v(Je.$$.fragment,t),v(Xt.$$.fragment,t),v(Ze.$$.fragment,t),v(et.$$.fragment,t),v(Yt.$$.fragment,t),v(Gt.$$.fragment,t),v(Jt.$$.fragment,t),v(eo.$$.fragment,t),v(to.$$.fragment,t),v(oo.$$.fragment,t),v(so.$$.fragment,t),v(ro.$$.fragment,t),v(io.$$.fragment,t),v(lo.$$.fragment,t),v(co.$$.fragment,t),v(po.$$.fragment,t),v(fo.$$.fragment,t),v(ho.$$.fragment,t),v(go.$$.fragment,t),v(_o.$$.fragment,t),v(bo.$$.fragment,t),v(xo.$$.fragment,t),v(yo.$$.fragment,t),v($o.$$.fragment,t),v(wo.$$.fragment,t),v(Do.$$.fragment,t),v(ko.$$.fragment,t),v(Mo.$$.fragment,t),v(To.$$.fragment,t),v(No.$$.fragment,t),v(Uo.$$.fragment,t),v(Ao.$$.fragment,t),v(Fo.$$.fragment,t),v(Co.$$.fragment,t),v(Oo.$$.fragment,t),v(jo.$$.fragment,t),v(Lo.$$.fragment,t),v(Io.$$.fragment,t),v(Vo.$$.fragment,t),v(zo.$$.fragment,t),v(So.$$.fragment,t),v(Wo.$$.fragment,t),v(Xo.$$.fragment,t),v(Qo.$$.fragment,t),v(Go.$$.fragment,t),v(Ro.$$.fragment,t),v(Zo.$$.fragment,t),v(en.$$.fragment,t),v(tn.$$.fragment,t),v(on.$$.fragment,t),v(xt.$$.fragment,t),v(rn.$$.fragment,t),v(ln.$$.fragment,t),v($t.$$.fragment,t),v(dn.$$.fragment,t),v(wt.$$.fragment,t),v(cn.$$.fragment,t),v(Dt.$$.fragment,t),v(mn.$$.fragment,t),v(pn.$$.fragment,t),v(fn.$$.fragment,t),v(un.$$.fragment,t),v(hn.$$.fragment,t),v(wn.$$.fragment,t),v(Dn.$$.fragment,t),v(kn.$$.fragment,t),v(Mn.$$.fragment,t),v(Tn.$$.fragment,t),v(En.$$.fragment,t),v(Nn.$$.fragment,t),v(Un.$$.fragment,t),Di=!1},d(t){o(x),t&&o(M),t&&o(w),b(f),t&&o(S),t&&o(K),t&&o(Pa),t&&o($e),b(Vt),t&&o(Oa),t&&o(T),b(Bt),b(zt),b(St),b(Kt),b(Wt),b(Je),b(Xt),b(Ze),b(et),b(Yt),b(Gt),t&&o(qa),t&&o(De),b(Jt),t&&o(ja),t&&o(Zt),b(eo),t&&o(La),t&&o(ke),b(to),t&&o(Ia),t&&o(W),b(oo),b(so),t&&o(Va),t&&o(Me),b(ro),t&&o(Ba),t&&o(ao),b(io),t&&o(za),t&&o(Te),b(lo),t&&o(Sa),t&&o(X),b(co),b(po),t&&o(Ka),t&&o(Ee),b(fo),t&&o(Wa),t&&o(uo),b(ho),t&&o(Xa),t&&o(Ne),b(go),t&&o(Qa),t&&o(F),b(_o),b(bo),b(xo),b(yo),t&&o(Ha),t&&o(Ue),b($o),t&&o(Ya),t&&o(Ae),b(wo),t&&o(Ga),t&&o(Fe),b(Do),t&&o(Ra),t&&o(Ce),b(ko),t&&o(Ja),t&&o(Pe),b(Mo),t&&o(Za),t&&o(Q),b(To),b(No),t&&o(ei),t&&o(Oe),b(Uo),t&&o(ti),t&&o(qe),b(Ao),t&&o(oi),t&&o(je),b(Fo),t&&o(ni),t&&o(C),b(Co),b(Oo),b(jo),b(Lo),t&&o(si),t&&o(Le),b(Io),t&&o(ri),t&&o(P),b(Vo),b(zo),t&&o(ai),t&&o(Ie),b(So),t&&o(ii),t&&o(Ko),b(Wo),t&&o(li),t&&o(Ve),b(Xo),t&&o(di),t&&o(L),b(Qo),b(Go),t&&o(ci),t&&o(Be),b(Ro),t&&o(mi),t&&o(Jo),b(Zo),t&&o(pi),t&&o(ze),b(en),t&&o(fi),t&&o(U),b(tn),b(on),b(xt),b(rn),b(ln),b($t),b(dn),b(wt),b(cn),b(Dt),t&&o(ui),t&&o(Se),b(mn),t&&o(hi),t&&o(Ke),b(pn),b(fn),t&&o(gi),t&&o(We),b(un),t&&o(_i),t&&o(O),b(hn),t&&o(vi),t&&o(Xe),b(wn),t&&o(bi),t&&o(re),b(Dn),b(kn),t&&o(xi),t&&o(Qe),b(Mn),t&&o(yi),t&&o(ae),b(Tn),b(En),t&&o($i),t&&o(He),b(Nn),t&&o(wi),t&&o(I),b(Un)}}}const D_={local:"models",sections:[{local:"diffusers.ModelMixin",title:"ModelMixin"},{local:"diffusers.models.unet_2d.UNet2DOutput",title:"UNet2DOutput"},{local:"diffusers.UNet2DModel",title:"UNet2DModel"},{local:"diffusers.models.unet_1d.UNet1DOutput",title:"UNet1DOutput"},{local:"diffusers.UNet1DModel",title:"UNet1DModel"},{local:"diffusers.models.unet_2d_condition.UNet2DConditionOutput",title:"UNet2DConditionOutput"},{local:"diffusers.UNet2DConditionModel",title:"UNet2DConditionModel"},{local:"diffusers.models.vae.DecoderOutput",title:"DecoderOutput"},{local:"diffusers.models.vq_model.VQEncoderOutput",title:"VQEncoderOutput"},{local:"diffusers.VQModel",title:"VQModel"},{local:"diffusers.models.autoencoder_kl.AutoencoderKLOutput",title:"AutoencoderKLOutput"},{local:"diffusers.AutoencoderKL",title:"AutoencoderKL"},{local:"diffusers.Transformer2DModel",title:"Transformer2DModel"},{local:"diffusers.models.transformer_2d.Transformer2DModelOutput",title:"Transformer2DModelOutput"},{local:"diffusers.PriorTransformer",title:"PriorTransformer"},{local:"diffusers.models.prior_transformer.PriorTransformerOutput",title:"PriorTransformerOutput"},{local:"diffusers.FlaxModelMixin",title:"FlaxModelMixin"},{local:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput",title:"FlaxUNet2DConditionOutput"},{local:"diffusers.FlaxUNet2DConditionModel",title:"FlaxUNet2DConditionModel"},{local:"diffusers.models.vae_flax.FlaxDecoderOutput",title:"FlaxDecoderOutput"},{local:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput",title:"FlaxAutoencoderKLOutput"},{local:"diffusers.FlaxAutoencoderKL",title:"FlaxAutoencoderKL"}],title:"Models"};function k_(q){return h_(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class F_ extends m_{constructor(x){super();p_(this,x,k_,w_,f_,{})}}export{F_ as default,D_ as metadata};
